textures/gi_atrium/opaque_glass
{
qer_editorimage textures/sfx/blackness
surfaceparm RQ3_glass
{
map textures/effects/tinfx.tga
tcGen environment
rgbGen identity
}
{
map $lightmap
blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
rgbGen identity
}
}

textures/gi_atrium/projection
{
	polygonOffset
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap
{
	map textures/gi_atrium/projection.tga
}
}


textures/gi_atrium/nodraw2
{
	qer_editorimage textures/common/nodraw.tga
	polygonOffset
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap
{
	map textures/gi_atrium/fulltransparency.tga
      alphaFunc GE128
      depthWrite
}
}


textures/gi_atrium/nodraw3
{
	qer_editorimage textures/common/nodraw.tga
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap
{
	map textures/gi_atrium/fulltransparency2.tga
      alphaFunc GE128
      depthWrite
}
}


textures/gi_atrium/cushion2 
{ 
qer_editorimage textures/common/cushion
qer_nocarve 
qer_trans 0.50 
surfaceparm nodraw 
surfaceparm noimpact 
surfaceparm nodamage 
surfaceparm nonsolid 
surfaceparm trans 
surfaceparm playerclip
} 

textures/gi_atrium/sea
{
qer_editorimage textures/skies/pjbasesky.tga
surfaceparm noimpact
surfaceparm nolightmap
surfaceparm sky
q3map_sun .96 .97 .89 250 340 80
q3map_surfacelight 90
q3map_nofast
skyparms env/gi_atrium/sea - - 
}


textures/gi_atrium/blueglass
{
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm RQ3_glass
//	cull none

	{
		map textures/gi_atrium/blueglass.tga
		tcGen environment
		tcMod turb 0 0.01 0 0.01	        
		tcmod scroll .0 .0
		blendfunc GL_ONE GL_ONE
                }
}




textures/gi_atrium/plainglass
{
	surfaceparm alphashadow
//	cull none
	qer_trans 0.5
	{
	map textures/gi_atrium/plainglass.tga
	blendfunc GL_ONE GL_ONE
	tcGen environment
	rgbGen identity
        }
}


textures/gi_atrium/light1
{
	qer_editorimage textures/gi_atrium/light1.tga
	surfaceparm nomarks
	surfaceparm RQ3_glass
	q3map_lightimage textures/gi_atrium/light1.tga
	q3map_surfacelight 5000
	
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/gi_atrium/light1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/gi_atrium/light1.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/gi_atrium/light_2500
{
	qer_editorimage textures/gi_atrium/houselight01.tga
	q3map_lightimage textures/gi_atrium/houselight01.tga
	surfaceparm nomarks
	surfaceparm RQ3_glass
	q3map_surfacelight 2500
	{
		map textures/gi_atrium/houselight01.tga
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
      {
		map textures/gi_atrium/houselight01.tga
		blendfunc gl_one gl_one
	}
}


textures/gi_atrium/glight1
{
	qer_editorimage textures/gi_atrium/glight1.tga
	surfaceparm nomarks
	surfaceparm RQ3_glass
	q3map_surfacelight 2000
	q3map_lightsubdivide 32

	// Fluorescent light
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/gi_atrium/glight1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/gi_atrium/glight1.tga
		blendfunc GL_ONE GL_ONE
	}
}


textures/gi_atrium/whitetex
{
	qer_editorimage textures/gi_atrium/whitetex.tga
	surfaceparm nomarks
	surfaceparm RQ3_glass
	q3map_surfacelight 700
	q3map_lightsubdivide 32

	// Fluorescent light
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/gi_atrium/whitetex.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/gi_atrium/whitetex.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/gi_atrium/whitetexdim
{
	qer_editorimage textures/gi_atrium/whitetex.tga
	surfaceparm nomarks
	surfaceparm RQ3_glass
	q3map_surfacelight 300

	// Fluorescent light
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/gi_atrium/whitetex.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/gi_atrium/whitetex.tga
		blendfunc GL_ONE GL_ONE
	}
}

models/mapobjects/nateleaf1/tree2
{
    cull disable
    surfaceparm alphashadow
        {
                map models/mapobjects/nateleaf1/tree2.tga
                alphaFunc GE128
		depthWrite
		rgbGen vertex
        }
}

models\mapobjects\multiplant\palmfrond
{	
    surfaceparm alphashadow
    cull none
    nopicmip
	{
		map models\mapobjects\multiplant\palmfrond.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identityLighting
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}
models\mapobjects\multiplant\invisible
{
    surfaceparm alphashadow
	surfaceparm nolightmap			
        {
                map models\mapobjects\multiplant\invisible.tga
                alphaFunc GE128
		depthWrite
		rgbGen vertex
        }
}


// palm tree shader

models/mapobjects/palm_tree/palm_tree_leaf
{
	cull none
	nopicmip

	{
		map models/mapobjects/palm_tree/palm_tree_leaf.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}

models/mapobjects/palm_tree/palm_trunk
{
	
	{
		map models/mapobjects/palm_tree/palm_trunk.tga
		rgbGen vertex
	}
}

textures/gi_atrium/wood
{
	qer_editorimage textures/gi_atrium/wood.tga
	surfaceparm RQ3_wood
	q3map_bounce 0
{
	map textures/gi_atrium/wood.tga
}
{
	map $lightmap
	blendfunc filter
	rgbGen identity
}
}

textures/gi_atrium/tree1
//tree
{
cull disable
surfaceparm alphashadow
surfaceparm nonsolid
//surfaceparm trans 
surfaceparm nolightmap
deformVertexes autoSprite2

{
map textures/gi_atrium/tree1.tga
alphaFunc GE128
depthWrite
rgbGen vertex
}
//{
//map $lightmap
//rgbGen identity
//blendFunc filter
//depthFunc equal
//}

}
textures/gi_atrium/tree2
//tree
{
cull disable
surfaceparm alphashadow
surfaceparm nonsolid
//surfaceparm trans 
surfaceparm nolightmap
deformVertexes autoSprite2

{
map textures/gi_atrium/tree2.tga
alphaFunc GE128
depthWrite
rgbGen vertex
}
//{
//map $lightmap
//rgbGen identity
//blendFunc filter
//depthFunc equal
//}
}

textures/gi_atrium/ivy1
{
   surfaceparm trans
   surfaceparm alphashadow
   surfaceparm nonsolid
   cull none

   {
      map textures/gi_atrium/ivy1.tga
      blendFunc GL_ONE GL_ZERO
      alphaFunc GE128
      depthWrite
      rgbGen identity
   }
   {
      map $lightmap
      rgbGen identity
      blendFunc GL_DST_COLOR GL_ZERO
      depthFunc equal
}
}

textures/gi_atrium/ivy2
{
   surfaceparm trans
   surfaceparm alphashadow
   surfaceparm nonsolid
   cull none

   {
      map textures/gi_atrium/ivy2.tga
      blendFunc GL_ONE GL_ZERO
      alphaFunc GE128
      depthWrite
      rgbGen identity
   }
   {
      map $lightmap
      rgbGen identity
      blendFunc GL_DST_COLOR GL_ZERO
      depthFunc equal
}
}

textures/gi_atrium/ivy3
{
   surfaceparm trans
   surfaceparm alphashadow
   surfaceparm nonsolid
   polygonOffset
   cull none

   {
      map textures/gi_atrium/ivy3.tga
      blendFunc GL_ONE GL_ZERO
      alphaFunc GE128
      depthWrite
      rgbGen identity
   }
   {
      map $lightmap
      rgbGen identity
      blendFunc GL_DST_COLOR GL_ZERO
      depthFunc equal
}
}

textures/gi_atrium/vx_ivy3
{
	surfaceparm nomarks
	polygonOffset
	qer_editorimage textures/gi_atrium/ivy3.tga
	{
		map textures/gi_atrium/ivy3.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}


textures/gi_atrium/leafsmall
{
   surfaceparm trans
   surfaceparm nonsolid
   cull none
   nomipmaps
   nopicmip
   q3map_bounce 0
   {
      map textures/gi_atrium/leafsmall.tga
      tcMod scale .5 .5
      blendFunc GL_ONE GL_ZERO
      alphaFunc GE128
      depthWrite
      rgbGen identity
   }
   {
      map $lightmap
      rgbGen identity
      blendFunc GL_DST_COLOR GL_ZERO
      depthFunc equal
}
}
