textures/bank/brick-med-tan-wdwed_shiny
{
	qer_editorimage textures/bank/brick-med-tan-wdwed.tga

	{
		map textures/bank/tinfx_v2.tga
		tcgen environment
		rgbGen identity
	}
	{
		map textures/bank/brick-med-tan-wdwed.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
        {
		map $lightmap
		rgbGen identity
		blendFunc filter
	}
}

textures/bank/v_ceiling_tile2_lit
{
	qer_editorimage textures/bank/v_ceiling_tile2.tga
	surfaceparm nomarks

	{
		map textures/bank/v_ceiling_tile2.tga
	}
	{	map $lightmap
		blendFunc filter
	}
	{
		map textures/bank/v_ceiling_light1.tga
		blendFunc add
	}
}

textures/bank/v_ceiling_tile4_lit
{
	qer_editorimage textures/bank/v_ceiling_tile4.tga
	surfaceparm nomarks

	{
		map textures/bank/v_ceiling_tile4.tga
	}
	{	map $lightmap
		blendFunc filter
	}
	{
		map textures/bank/v_ceiling_light2.tga
		blendFunc add
	}
}

//Light flares

textures/bank/light_flare3
{
	qer_editorimage textures/bank/v_ceiling_tile2.tga
	surfaceparm nomarks
	q3map_flare textures/bank/light_corona3

	{
		map textures/bank/v_ceiling_tile2.tga
	}
	{	map $lightmap
		blendFunc filter
	}
	{
		map textures/bank/v_ceiling_light1.tga
		blendFunc add
	}
}

//=============
// Glass
//=============

// 1: Shiny, lightmapped

textures/bank/glass
{
	qer_editorimage textures/makro/glass_txt.tga
	qer_trans 0.3
	surfaceparm trans	

	{
		map textures/effects/tinfx.tga
		tcgen environment
		blendFunc add
		rgbGen identity
	}
	{	map $lightmap
		rgbGen identity
		blendFunc filter
	}
           
}

textures/bank/glass_nomarks
{
	qer_editorimage textures/makro/glass_txt.tga
	qer_trans 0.3
	surfaceparm nomarks
	surfaceparm trans	

	{
		map textures/effects/tinfx.tga
		tcgen environment
		blendFunc add
		rgbGen identity
	}
	{	map $lightmap
		rgbGen identity
		blendFunc filter
	}
           
}

textures/bank/glass_flat
{
	qer_editorimage textures/makro/glass_txt.tga
	qer_trans 0.3
        surfaceparm trans	
	cull none

        {
		map textures/effects/tinfx.tga
		tcgen environment
		blendFunc add
		rgbGen identity
	}
	{	map $lightmap
		rgbGen identity
		blendFunc filter
	}
           
}

textures/bank/glass_flat_nomarks
{
	qer_editorimage textures/makro/glass_txt.tga
	qer_trans 0.3
	surfaceparm nomarks
        surfaceparm trans	
	cull none

        {
		map textures/effects/tinfx.tga
		tcgen environment
		blendFunc add
		rgbGen identity
	}
	{	map $lightmap
		rgbGen identity
		blendFunc filter
	}
           
}

// 2

textures/bank/glass2
{
	qer_editorimage textures/bank/v_glass2.tga
	qer_trans 0.3
	surfaceparm trans	
	surfaceparm nolightmap

	{	map textures/bank/v_glass2.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
           
}

textures/bank/glass2_nomarks
{
	qer_editorimage textures/bank/v_glass2.tga
	qer_trans 0.3
	surfaceparm trans	
	surfaceparm nomarks
	surfaceparm nolightmap

	{	map textures/bank/v_glass2.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
           
}

textures/bank/glass2_flat
{
	qer_editorimage textures/bank/v_glass2.tga
	qer_trans 0.3
	surfaceparm trans	
	surfaceparm nolightmap
	cull none

	{	map textures/bank/v_glass2.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA

	}
           
}

textures/bank/glass2_flat_nomarks
{
	qer_editorimage textures/bank/v_glass2.tga
	qer_trans 0.3
	surfaceparm trans	
	surfaceparm nomarks
	surfaceparm nolightmap
	cull none

	{	map textures/bank/v_glass2.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA

	}
           
}

// 3

textures/bank/glass3
{
	qer_editorimage textures/bank/v_glass3.tga
	qer_trans 0.3
	surfaceparm trans	
	surfaceparm nolightmap

	{	map textures/bank/v_glass3.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
           
}

textures/bank/glass3_nomarks
{
	qer_editorimage textures/bank/v_glass3.tga
	qer_trans 0.3
	surfaceparm trans	
	surfaceparm nomarks
	surfaceparm nolightmap

	{	map textures/bank/v_glass3.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
           
}

textures/bank/glass3_flat
{
	qer_editorimage textures/bank/v_glass3.tga
	qer_trans 0.3
	surfaceparm trans	
	surfaceparm nolightmap
	cull none

	{	map textures/bank/v_glass3.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		tcGen environment
	}
           
}

textures/bank/glass3_flat_nomarks
{
	qer_editorimage textures/bank/v_glass3.tga
	qer_trans 0.3
	surfaceparm trans	
	surfaceparm nomarks
	surfaceparm nolightmap
	cull none

	{	map textures/bank/v_glass3.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		tcGen environment
	}
           
}

// 4 (ceiling) : Shiny

textures/bank/glass_ceiling1
{
	qer_editorimage textures/bank/v_glass3.tga
	qer_trans 0.3
	surfaceparm trans	
	surfaceparm nolightmap

	{	map textures/effects/tinfx3.tga
		blendFunc add
		tcGen environment
	}
           
}
//==============
// Sky for Bank
//==============

textures/bank/sky_bank
{
	qer_editorimage textures/bank/carnival.tga
	surfaceparm noimpact
	surfaceparm nolightmap
		surfaceparm sky
	//q3map_sun 1 1 .8 10 180 60
	q3map_surfacelight 128
	q3map_globaltexture
	q3map_lightsubdivide 512
	skyparms env/makro/bank 128 -
	{
		map textures/bank/topclouds.tga
		tcMod scale 3 2
		tcMod scroll 0.01 0.015
		depthWrite
		blendfunc GL_DST_COLOR GL_SRC_COLOR
		detail
	}
}

textures/bank/sky_bank_lightning
{
	qer_editorimage textures/bank/carnival.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	//q3map_sun 1 1 .8 10 180 60
	q3map_surfacelight 128
	q3map_globaltexture
	q3map_lightsubdivide 512
	skyparms env/makro/bank 128 -
	{
		map textures/bank/v_lightning.tga
		depthWrite
		blendfunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen wave inverseSawtooth .5 .5 0 4
		detail
	}
}

textures/bank/carnival_light
{
	qer_editorimage textures/bank/carnival.tga
	q3map_lightimage textures/bank/carnival.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	//q3map_sun 1 1 .8 10 180 60
	q3map_surfacelight 128
	q3map_lightsubdivide 512
	{
		map textures/bank/black.tga
	}
}

//============
// Monitors
//============

textures/bank/comp3_v2
{
	qer_editorimage textures/bank/comp3frame_v2.tga
	q3map_surfacelight 100
	q3map_backsplash 0.5 4
	q3map_lightimage textures/bank/static_2.tga
	surfaceparm nomarks

	{
		animMap 15 textures/bank/static_1.tga textures/bank/static_2.tga textures/bank/static_1.tga textures/bank/static_3.tga textures/bank/static_2.tga
		tcMod scroll 15 13
		tcMod turb 1 .1 0 4
		rgbGen identity
	}
	{
		map textures/bank/comp3frame_v2.tga
		blendFunc blend
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc filter
		rgbGen identity
	}
}

textures/bank/comp3_v2_portal
{
	qer_editorimage textures/bank/comp3frame_v2.tga
	q3map_surfacelight 100
	q3map_backsplash 0 4
	q3map_lightimage textures/bank/static_2.tga
	portal
	surfaceparm nomarks
//	surfaceparm nolightmap

	{
		map textures/sfx/mirror.tga
		blendFunc GL_ZERO GL_ONE_MINUS_SRC_ALPHA
		depthWrite
		rgbGen identity
		alphaGen portal 144
	}
	{
		map textures/bank/comp3frame_v2.tga
		blendFunc blend
		depthFunc equal
		//rgbGen identity
		rgbGen const ( .275 .3 .25 )
	}
//	{
//		map $lightmap
//		blendFunc filter
//		depthFunc equal
//		rgbGen identity
//	}
}

//===============
// Numbers
//===============

textures/bank/v_clock_min_1_0
{
	qer_editorimage textures/bank/v_number_0.tga
	surfaceparm nolightmap
	surfaceparm pointlight

	{
		map $lightmap
		rgbGen identity
	}
	{
		animMap .01666666 textures/bank/v_number_0.tga textures/bank/v_number_1.tga textures/bank/v_number_2.tga textures/bank/v_number_3.tga textures/bank/v_number_4.tga textures/bank/v_number_5.tga textures/bank/v_number_6.tga textures/bank/v_number_7.tga textures/bank/v_number_8.tga textures/bank/v_number_9.tga
		blendFunc filter
	}
}

textures/bank/v_clock_min_2_0
{
	qer_editorimage textures/bank/v_number_0.tga
	surfaceparm nolightmap
	surfaceparm pointlight

	{
		map $lightmap
		rgbGen identity
	}
	{
		animMap .00166666 textures/bank/v_number_0.tga textures/bank/v_number_1.tga textures/bank/v_number_2.tga textures/bank/v_number_3.tga textures/bank/v_number_4.tga textures/bank/v_number_5.tga
		blendFunc filter
	}
}

textures/bank/v_clock_separator_anim
{
	qer_editorimage textures/bank/v_clock_separator_1.tga
	surfaceparm nolightmap
	surfaceparm pointlight

	{
		animMap 2 textures/bank/v_clock_separator_1.tga textures/bank/v_clock_separator_2.tga
	}
}

// 0 - 9 //

textures/bank/v_number_0
{
	surfaceparm nolightmap
	surfaceparm pointlight

	{
		map textures/bank/v_number_0.tga
	}
}

textures/bank/v_number_1
{
	surfaceparm nolightmap
	surfaceparm pointlight

	{
		map textures/bank/v_number_1.tga
	}
}

textures/bank/v_number_2
{
	surfaceparm nolightmap
	surfaceparm pointlight

	{
		map textures/bank/v_number_2.tga
	}
}

textures/bank/v_number_3
{
	surfaceparm nolightmap
	surfaceparm pointlight

	{
		map textures/bank/v_number_3.tga
	}
}

textures/bank/v_number_4
{
	surfaceparm nolightmap
	surfaceparm pointlight

	{
		map textures/bank/v_number_4.tga
	}
}

textures/bank/v_number_5
{
	surfaceparm nolightmap
	surfaceparm pointlight

	{
		map textures/bank/v_number_5.tga
	}
}

textures/bank/v_number_6
{
	surfaceparm nolightmap
	surfaceparm pointlight

	{
		map textures/bank/v_number_6.tga
	}
}

textures/bank/v_number_7
{
	surfaceparm nolightmap
	surfaceparm pointlight

	{
		map textures/bank/v_number_7.tga
	}
}

textures/bank/v_number_8
{
	surfaceparm nolightmap
	surfaceparm pointlight

	{
		map textures/bank/v_number_8.tga
	}
}

textures/bank/v_number_9
{
	surfaceparm nolightmap
	surfaceparm pointlight

	{
		map textures/bank/v_number_9.tga
	}
}

//===============
// Light flares
//===============

textures/bank/light_corona3
{
	qer_editorimage textures/bank/v_corona3.tga
	qer_trans 0.5
//	sort additive
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm nomarks
	cull none
	deformVertexes autoSprite
	nopicmip
//	sort nearest

	{	
		clampmap textures/bank/v_corona3.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaFunc GT0
		rgbGen identity
	}
}

//=================
// Shaderlab sign
//=================

textures/bank/v_shaderlab1_shiny
{
	qer_editorimage textures/bank/v_shaderlab1.tga

	{
		map textures/bank/v_shaderlab1.tga
	}
	{
		map textures/effects/tinfx3.tga
		tcGen environment
		blendFunc add
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc filter
		rgbGen identity
	}
}

textures/bank/v_shaderlab2_shiny
{
	qer_editorimage textures/bank/v_shaderlab2.tga

	{
		map textures/bank/v_shaderlab2.tga
	}
	{
		map textures/effects/tinfx3.tga
		tcGen environment
		blendFunc add
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc filter
		rgbGen identity
	}
}

//============
// Gold bars
//============

textures/bank/v_gold_shiny
{
	qer_editorimage textures/bank/v_gold.tga

	{
		map textures/bank/v_gold.tga
	}
	{
		map textures/effects/tinfx2.tga
		tcGen environment
		blendFunc add
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc filter
		rgbGen identity
	}
}

//=============
// Metal floor
//=============

textures/bank/clanggrate_v2
{
	qer_editorimage textures/bank/clanggrate_v2.tga
	surfaceparm trans
	surfaceparm alphashadow		
	nopicmip

	{
		map textures/bank/clanggrate_v2.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

//==========================
// RMALL + Lt. Hawkins ad
//==========================

textures/bank/v_ad_2
{
	qer_editorimage textures/bank/v_ad_2.tga
	nopicmip
	surfaceparm trans
	surfaceparm nomarks
	polygonOffset

	{
		map textures/bank/v_ad_2.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

//========================
// Vertex ligting shaders
//========================

textures/bank/v_ad_2_vx
{
	qer_editorimage textures/bank/v_ad_2.tga
	nopicmip
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm pointlight

	{
		map textures/bank/v_ad_2.tga
		alphaFunc GE128
		rgbGen const ( 0.4 0.4 0.5 )
	}
}

textures/bank/marble_sqrz_bw_vx
{
	qer_editorimage textures/bank/marble_sqrz_bw.tga
	surfaceparm pointlight
	{
		map textures/bank/marble_sqrz_bw.tga
		rgbGen const ( 0.5 0.5 0.5 )
	}
}


textures/bank/tag-fan_rot_vx
{
	qer_editorimage textures/bank/tag-fan.tga
	surfaceparm pointlight
	//surfaceparm nomarks

	{
		map textures/bank/tag-fan.tga
	}
}

//===========
// Misc
//===========

textures/bank/black
{
	qer_editorimage textures/bank/black.tga
	surfaceparm nomarks
	surfaceparm nolightmap
	{
		map textures/bank/black.tga
	}
}

textures/bank/v_rail1
{
	qer_editorimage textures/bank/v_rail1.tga
	surfaceparm trans		
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm nonsolid
	cull none
	nopicmip

	{
		map textures/bank/v_rail1.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/bank/fence
{
	qer_editorimage textures/base_trim/proto_fence.tga
	surfaceparm trans		
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm nonsolid
	cull none
	nopicmip
	nomipmaps

	{
		map textures/base_trim/proto_fence.tga
		tcMod scale 3 3
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

//===========
// Ladders
//===========

textures/bank/ladder_weapclip
{
	qer_editorimage textures/makro/ladder.tga
	qer_trans 0.40
	surfaceparm ladder
	surfaceparm nodraw
    	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
}

textures/bank/ladder
{
	qer_editorimage textures/makro/ladder.tga
        qer_trans 0.40
        surfaceparm nolightmap
        surfaceparm nodraw
        surfaceparm nomarks
        surfaceparm nonsolid
        surfaceparm playerclip
        surfaceparm noimpact
        surfaceparm ladder
}

//======================
// Shaderlab Textures
//======================

textures/bank/panes-1_shiny
{
	qer_editorimage textures/bank/panes-1.tga

	{
		map textures/effects/tinfx.tga
		tcgen environment
		rgbGen identity
	}
	{
		map textures/bank/panes-1.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
        {
		map $lightmap
		rgbGen identity
		blendFunc filter
	}
}

textures/bank/tag-fan_rot
{
	qer_editorimage textures/bank/tag-fan.tga
	//surfaceparm nomarks

	{
		map textures/bank/tag-fan-blade.tga
		tcMod rotate 720
		rgbGen identity
	}
	{
		map textures/bank/tag-fan-frame.tga
		blendFunc blend
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc filter
		rgbGen identity
	}
}

//============================
// Textures made using pics
// From Jeremy A. Engleman's
// website
//============================

textures/bank/dsc01337_shiny
{
	qer_editorimage textures/bank/dsc01337.tga

	{
		map textures/effects/tinfx.tga
		tcgen environment
		rgbGen identity
	}
	{
		map textures/bank/dsc01337.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
        {
		map $lightmap
		rgbGen identity
		blendFunc filter
	}
}

// SMOKE //

// This file was automatically created by Particle Designer.
// For more information about particle designer, please
// visit http://www.quake3stuff.com/freebrief

textures/bank/smoke1_1
{
qer_editorimage textures/bank/smoke04.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move 0.034262 2.258753 15.483628 sawtooth 0 1 0.395703 0.297336
{
clampmap textures/bank/smoke04.tga
tcMod rotate 83.427231
AlphaGen wave sawtooth 0.498634 -0.498634 0.395703 0.297336
rgbGen wave sawtooth 1.000000 0.000000 0.395703 0.297336
tcMod stretch sawtooth 0.780297 0.219703 0.395703 0.297336
blendfunc blend
}
}

textures/bank/smoke1_2
{
qer_editorimage textures/bank/smoke04.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move 0.777992 2.355154 15.568421 sawtooth 0 1 0.476150 0.246202
{
clampmap textures/bank/smoke04.tga
tcMod rotate 67.625656
AlphaGen wave sawtooth 0.289659 -0.289659 0.476150 0.246202
rgbGen wave sawtooth 1.000000 0.000000 0.476150 0.246202
tcMod stretch sawtooth 0.908628 0.091372 0.476150 0.246202
blendfunc blend
}
}

textures/bank/smoke1_3
{
qer_editorimage textures/bank/smoke04.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move -1.295434 1.317782 15.387162 sawtooth 0 1 0.116245 0.251756
{
clampmap textures/bank/smoke04.tga
tcMod rotate 83.583786
AlphaGen wave sawtooth 0.321032 -0.321032 0.116245 0.251756
rgbGen wave sawtooth 1.000000 0.000000 0.116245 0.251756
tcMod stretch sawtooth 0.709555 0.290445 0.116245 0.251756
blendfunc blend
}
}

textures/bank/smoke1_4
{
qer_editorimage textures/bank/smoke04.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move -0.310425 -1.025890 10.874281 sawtooth 0 1 0.156682 0.423051
{
clampmap textures/bank/smoke04.tga
tcMod rotate 81.397446
AlphaGen wave sawtooth 0.418523 -0.418523 0.156682 0.423051
rgbGen wave sawtooth 1.000000 0.000000 0.156682 0.423051
tcMod stretch sawtooth 0.802988 0.197012 0.156682 0.423051
blendfunc blend
}
}

textures/bank/smoke1_5
{
qer_editorimage textures/bank/smoke04.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move 1.020545 1.080909 8.567704 sawtooth 0 1 0.059908 0.442642
{
clampmap textures/bank/smoke04.tga
tcMod rotate 68.982513
AlphaGen wave sawtooth 0.585353 -0.585353 0.059908 0.442642
rgbGen wave sawtooth 1.000000 0.000000 0.059908 0.442642
tcMod stretch sawtooth 0.995514 0.004486 0.059908 0.442642
blendfunc blend
}
}

textures/bank/smoke1_6
{
qer_editorimage textures/bank/smoke04.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move 0.259377 -0.388157 26.927015 sawtooth 0 1 0.537461 0.180211
{
clampmap textures/bank/smoke04.tga
tcMod rotate 65.862297
AlphaGen wave sawtooth 0.652554 -0.652554 0.537461 0.180211
rgbGen wave sawtooth 1.000000 0.000000 0.537461 0.180211
tcMod stretch sawtooth 0.869869 0.130131 0.537461 0.180211
blendfunc blend
}
}

textures/bank/smoke1_7
{
qer_editorimage textures/bank/smoke04.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move 4.132080 -0.451652 17.845039 sawtooth 0 1 0.717460 0.254620
{
clampmap textures/bank/smoke04.tga
tcMod rotate 70.883209
AlphaGen wave sawtooth 0.690352 -0.690352 0.717460 0.254620
rgbGen wave sawtooth 1.000000 0.000000 0.717460 0.254620
tcMod stretch sawtooth 0.737388 0.262612 0.717460 0.254620
blendfunc blend
}
}

textures/bank/smoke1_8
{
qer_editorimage textures/bank/smoke04.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move -1.243141 0.287661 12.832454 sawtooth 0 1 0.734672 0.346821
{
clampmap textures/bank/smoke04.tga
tcMod rotate 88.997467
AlphaGen wave sawtooth 0.366031 -0.366031 0.734672 0.346821
rgbGen wave sawtooth 1.000000 0.000000 0.734672 0.346821
tcMod stretch sawtooth 0.859447 0.140553 0.734672 0.346821
blendfunc blend
}
}

