//===============
// Light flares
//===============

textures/beer/light_corona3
{
	qer_editorimage textures/beer/v_corona3.tga
	qer_trans 0.5
//	sort additive
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm nomarks
	cull none
	deformVertexes autoSprite
	nopicmip
//	sort nearest

	{	
		clampmap textures/beer/v_corona3.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaFunc GT0
		rgbGen identity
	}
}

//  ******************
//   reaction ladders
//  ******************
textures/beer/war_ladder1
{
	qer_editorimage textures/midevil/qer_ladder.tga
	surfaceparm ladder
	{ 
		map $lightmap 
		rgbGen identity 
		tcGen lightmap 
	}
	{ 
		map textures/beer/wood_ladder1.tga
		blendfunc filter
		rgbGen identity
	}
}

textures/beer/war_ladder2
{ 
	qer_editorimage textures/midevil/qer_ladder.tga 
	surfaceparm ladder
	{ 
		map $lightmap 
		rgbGen identity 
		tcGen lightmap 
	} 
	{ 
		map textures/beer/wood_ladder2.tga 
		blendfunc filter 
		rgbGen identity 
	} 
} 


textures/beer/war_ladder3
{
	qer_editorimage textures/midevil/qer_ladder.tga
	surfaceparm ladder
	{ 
		map $lightmap 
		rgbGen identity 
		tcGen lightmap 
	}
	{ 
		map textures/beer/wood_ladder3.tga
		blendfunc filter
		rgbGen identity
	}
}

textures/beer/war_ladder4
{
	qer_editorimage textures/midevil/qer_ladder.tga
	surfaceparm ladder
	{ 
		map $lightmap 
		rgbGen identity 
		tcGen lightmap 
	}
	{ 
		map textures/beer/stone_ladder1.tga
		blendfunc filter
		rgbGen identity
	}
}

textures/beer/war_ladder6
{
	qer_editorimage textures/midevil/qer_ladder.tga
	surfaceparm ladder
	{ 
		map $lightmap 
		rgbGen identity 
		tcGen lightmap 
	}
	{ 
		map textures/beer/hedge_ladder1.tga
		blendfunc filter
		rgbGen identity
	}
}

// *****************************
//           Ivy Vines
//   From Natestahs Plant Pack
// *****************************
models/mapobjects/nateleaf1/tree2
{
    cull disable
    surfaceparm alphashadow
        {
                map models/mapobjects/nateleaf1/tree2.tga
                alphaFunc GE128
		depthWrite
		rgbGen vertex
        }
}
// *********************
//     Chrome Metal
//        Ladder
// *********************
textures/beer/war_ladder5
{
	qer_editorimage textures/midevil/qer_ladder.tga
	surfaceparm ladder
	{
		map textures/beer/chrome_env.tga
		tcGen environment
		tcmod scale .25 .25 
		
	}

	{
		map textures/beer/chrome_metal.tga
		blendFunc GL_ONE GL_ONE
		detail
        	tcMod scale 0.0693 0.0712
		rgbGen identity
	}


	{
		map $lightmap
                rgbgen identity
		blendFunc GL_DST_COLOR GL_ZERO
	   
	}

	
			
}

// ***************
//       Neon
//       Signs
// ***************
textures/beer/bud
{
	qer_editorimage textures/beer/neon_bud.tga
	surfaceparm nomarks
	q3map_surfacelight 1000	

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/beer/neon_bud.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/beer/neon_bud.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/beer/buda
{
	qer_editorimage textures/beer/neon_bud.tga
	surfaceparm nomarks
	q3map_surfacelight 15000	

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/beer/neon_bud.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/beer/neon_bud.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/beer/budb
{
	qer_editorimage textures/beer/neon_bud.tga
	surfaceparm nomarks
	q3map_surfacelight 5000	

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/beer/neon_bud.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/beer/neon_bud.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/beer/bud1pin
{
	qer_editorimage textures/beer/neon_bud1.tga
	surfaceparm nomarks
	q3map_surfacelight 100	

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/beer/neon_bud1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/beer/neon_bud1.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave noise .4 .2 .2 25
	}
}

textures/beer/bud1
{
	qer_editorimage textures/beer/neon_bud1.tga
	surfaceparm nomarks
	q3map_surfacelight 10000	

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/beer/neon_bud1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/beer/neon_bud1.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/beer/bud2
{
	qer_editorimage textures/beer/neon_bud2.tga
	surfaceparm nomarks
	q3map_surfacelight 10000	

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/beer/neon_bud2.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/beer/neon_bud2.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/beer/rollinrock
{
	qer_editorimage textures/beer/neon_rr.tga
	surfaceparm nomarks
	q3map_surfacelight 1000	

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/beer/neon_rr.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/beer/neon_rr.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/beer/rollinrocklogo
{
	qer_editorimage textures/beer/rrbottle_logo.tga
	surfaceparm nomarks
	q3map_surfacelight 1000	

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/beer/rrbottle_logo.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/beer/rrbottle_logo.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/beer/coron
{
	qer_editorimage textures/beer/neon_corona.tga
	surfaceparm nomarks
	q3map_surfacelight 10000	

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/beer/neon_corona.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/beer/neon_corona.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/beer/coron1
{
	qer_editorimage textures/beer/neon_corona1.tga
	surfaceparm nomarks
	q3map_surfacelight 10000	

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/beer/neon_corona1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/beer/neon_corona1.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/beer/coronlogo
{
	qer_editorimage textures/beer/corona_logo.tga
	surfaceparm nomarks
	q3map_surfacelight 10000	

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/beer/corona_logo.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/beer/corona_logo.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/beer/heineken
{
	qer_editorimage textures/beer/neon_heiny.tga
	surfaceparm nomarks
	q3map_surfacelight 10000	

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/beer/neon_heiny.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/beer/neon_heiny.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/beer/heineken1
{
	qer_editorimage textures/beer/neon_heiny1.tga
	surfaceparm nomarks
	q3map_surfacelight 100	

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/beer/neon_heiny1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/beer/neon_heiny1.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave noise .4 .2 .2 25
	}
}

textures/beer/heineken2
{
	qer_editorimage textures/beer/neon_heiny2.tga
	surfaceparm nomarks
	q3map_surfacelight 10000	

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/beer/neon_heiny2.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/beer/neon_heiny2.tga
		blendfunc GL_ONE GL_ONE
	}
}
// ************
//     Beer
//    Day Sky
// ************
texture/beer/day_front
{
	surfaceparm alphashadow
	{
		map textures/beer/day_front.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthwrite
		tcMod scale 3 3
		tcMod scroll 0.1 0.1
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
		rgbGen identity
	}
}

textures/beer/day
{
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	qer_editorimage textures/beer/day_back.tga
	q3map_lightimage textures/beer/day_front.tga
	q3map_surfacelight 200
	q3map_sun	1 0.7 0.4 60	150 35
	skyparms - 512 -
	{
		map textures/beer/day_back.tga
		tcMod scale 2 2
		tcMod scroll 0.01 0.01
		depthWrite
	}
	{
		map textures/beer/day_front.tga
		blendFunc GL_ONE GL_ONE
		tcMod scale 3 3
		tcMod scroll 0.1 0.1
	}
}