textures/chill/chillsky
{
	qer_editorimage textures/skies/xnight2_up.tga
//	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_sun 1 1 1 100 -41 58
	q3map_surfacelight 75
	skyparms env/chill/chillsky - -
}

textures/chill/waterfall
{
	q3map_globaltexture
	surfaceparm trans
	//surfaceparm nonsolid
	surfaceparm noimpact
	surfaceparm water
	surfaceparm nolightmap
	tessSize 64
	cull disable
	deformVertexes wave 32 triangle 1.1 2 .15 .78
	{
		map textures/chill/waterfall_1.tga
		blendfunc GL_ONE GL_ONE		
		tcMod scale 1.0 2.0
		tcMod Scroll .5 8
                tcMod turb .1 .25 0 -.1
	}
	{
		map textures/chill/waterfall_2.tga
		blendfunc GL_ONE GL_ONE
		tcMod scale .5 .5
		tcMod turb .1 .075 .5 .05
		tcMod Scroll .01 6.3
	}
}

models/mapobjects/satellite/cables
{
    cull disable
    surfaceparm alphashadow
        {
                map models/mapobjects/satellite/cables.tga
                alphaFunc GE128
		depthWrite
		rgbGen vertex
        }
}

//shiny windows (thanks to www.shaderlab.com for the texture)
textures/chill/ind-windows-1-shiny
{
	qer_editorimage textures/chill/ind-windows-1-alpha.tga
	{	
		map textures/chill/ind-windows-1-alpha.tga
	}
	{
		map textures/effects/tinfx.tga
		tcgen environment
		blendFunc GL_ONE GL_ONE
	}
	{
		map textures/chill/ind-windows-1-alpha.tga
   		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_src_color
	}
}

//shiny windows 2 (thanks to www.shaderlab.com for the texture)
textures/chill/win-tri-arion-shiny
{
	qer_editorimage textures/chill/win-tri-arion.tga
	{	
		map textures/chill/win-tri-arion.tga
	}
	{
		map textures/effects/tinfx.tga
		tcgen environment
		blendFunc GL_ONE GL_ONE
	}
	{
		map textures/chill/win-tri-arion.tga
   		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_src_color
	}
}

//shiny windows 3 (thanks to www.shaderlab.com for the texture)
textures/chill/panes-1-shiny
{
	qer_editorimage textures/chill/panes-1.tga
	{	
		map textures/chill/panes-1.tga
	}
	{
		map textures/effects/tinfx.tga
		tcgen environment
		blendFunc GL_ONE GL_ONE
	}
	{
		map textures/chill/panes-1.tga
   		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_src_color
	}
}

//flashing sign (joe's) 
textures/chill/joes_flashing
{
	qer_editorimage textures/chill/joes_light.tga
	q3map_lightimage textures/chill/joes_lightmap.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/chill/joes_light.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{	
		map textures/chill/joes_lightmap.tga
		blendfunc GL_ONE GL_ONE
                rgbGen wave sin .5 0.5 1 .1
	}
        {	
		map textures/chill/joes_light2.tga
		blendfunc GL_ONE GL_ONE
                rgbgen wave triangle 1 5 1 3
	}
        {	
		map textures/chill/joes_light2.tga
		blendfunc GL_ONE GL_ONE
                tcmod scale -1 -1
                 rgbgen wave triangle 1 2 0 7
	}
}

