
textures/city/qer_ladder
{
	qer_trans 0.5
	qer_editorimage textures/city/qer_ladder.tga
	surfaceparm playerclip
	surfaceparm ladder
	surfaceparm nodraw
        surfaceparm noimpact
        surfaceparm nolightmap
        surfaceparm nomarks
        surfaceparm nonsolid
}

textures/city/xglassbr
{
	qer_trans 0.40
	qer_editorimage textures/city/qer_glass.tga
	surfaceparm rq3_glass

	{
		map textures/effects/tinfx3.tga
		blendFunc GL_ONE GL_ONE
		tcMod turb 0 0.02 0 0.02 
		tcgen environment
		rgbGen identity
	}
//	{
//		map $lightmap
//		rgbGen identity
//		blendFunc filter
//	}
}

models/mapobjects/log_lykta2/log_lykta2
{
	qer_editorimage models/mapobjects/log_lykta2/log_lykta2.tga

{
	map models/mapobjects/log_lykta2/log_lykta2.tga
	rgbGen vertex
}

}

textures/city/log_fence
{
	qer_editorimage textures/city/log_fence.tga
	
	{
	        clampmap textures/city/log_spinfan.tga
                blendFunc GL_ONE GL_ZERO
                tcmod rotate 400
	        rgbGen identity
	}
        {
	        map textures/city/log_fence.tga
		blendfunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	        rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

models/mapobjects/log_trash/sopkorg
{
   nopicmip

   {
      map models/mapobjects/log_trash/sopkorg.tga
      depthWrite
      rgbGen vertex
   }
}

textures/city/log_metalblank
{
	qer_editorimage textures/city/log_metalblank.tga

	{
		map textures/base_wall/chrome_env2.tga
	        rgbGen identity
		tcGen environment
	}
	
	{
		map textures/city/log_metalblank.tga
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA	
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbGen identity
	}
}

// Ladder metal

textures/city/log_metalblank2

	
{
	qer_editorimage textures/city/log_metalblank2.tga
	surfaceparm ladder

	{
		map textures/base_wall/chrome_env2.tga
	        rgbGen identity
		tcGen environment
	}
	
	{
		map textures/city/log_metalblank2.tga
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA	
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbGen identity
	}
}

// Nonsolid metal for drainpipe bends

textures/city/log_metalblank3

	
{
	qer_editorimage textures/city/log_metalblank2.tga
	surfaceparm nonsolid

	{
		map textures/base_wall/chrome_env2.tga
	        rgbGen identity
		tcGen environment
	}
	
	{
		map textures/city/log_metalblank2.tga
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA	
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbGen identity
	}
}

models/mapobjects/logtree5/leaves

{
	cull none
	nopicmip
	surfaceparm trans
	deformVertexes wave 20 sin 0 1 0 .1
        deformVertexes wave 120 sin 0 1 0 .1

	{
		map models/mapobjects/logtree5/leaves.tga
                blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}

textures/city/xfence2
{
	surfaceparm metalsteps
	surfaceparm trans
        surfaceparm alphashadow
	nopicmip


	{
		map textures/city/xfence2.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/city/xfence3
{
	surfaceparm metalsteps
	surfaceparm trans
        surfaceparm alphashadow
	nopicmip
	//grn balkong

	{
		map textures/city/xfence3.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/city/xhouse2c
{       
   { 
   map textures/city/rusk_reflect.tga 
   tcgen environment 
   rgbgen identity 
   } 
   { 
   map textures/city/xhouse2c.tga 
      blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
   rgbgen identity 
   } 
   { 
   map $lightmap 
   rgbgen identity 
   blendfunc filter 
   } 
} 

textures/city/xhouse2d
{       
   { 
   map textures/city/rusk_reflect.tga 
   tcgen environment 
   rgbgen identity 
   } 
   { 
   map textures/city/xhouse2d.tga 
      blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
   rgbgen identity 
   } 
   { 
   map $lightmap 
   rgbgen identity 
   blendfunc filter 
   } 
} 

textures/city/xhouse2f 
{       
   { 
   map textures/city/rusk_reflect.tga 
   tcgen environment 
   rgbgen identity 
   } 
   { 
   map textures/city/xhouse2f.tga 
      blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
   rgbgen identity 
   } 
   { 
   map $lightmap 
   rgbgen identity 
   blendfunc filter 
   } 
} 

textures/city/xhouse2I
{       
   { 
   map textures/city/rusk_reflect.tga 
   tcgen environment 
   rgbgen identity 
   } 
   { 
   map textures/city/xhouse2I.tga 
      blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
   rgbgen identity 
   } 
   { 
   map $lightmap 
   rgbgen identity 
   blendfunc filter 
   } 
} 

textures/city/xhouse2j 
{       
   { 
   map textures/city/rusk_reflect.tga 
   tcgen environment 
   rgbgen identity 
   } 
   { 
   map textures/city/xhouse2j.tga 
      blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
   rgbgen identity 
   } 
   { 
   map $lightmap 
   rgbgen identity 
   blendfunc filter 
   } 
} 

textures/city/xhouse5a 
{       
   { 
   map textures/city/rusk_reflect.tga 
   tcgen environment 
   rgbgen identity 
   } 
   { 
   map textures/city/xhouse5a.tga 
      blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
   rgbgen identity 
   } 
   { 
   map $lightmap 
   rgbgen identity 
   blendfunc filter 
   } 
} 

textures/city/xhouse2a
{       
   { 
   map textures/city/rusk_reflect.tga 
   tcgen environment 
   rgbgen identity 
   } 
   { 
   map textures/city/xhouse2a.tga 
      blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
   rgbgen identity 
   } 
   { 
   map $lightmap 
   rgbgen identity 
   blendfunc filter 
   } 
} 

textures/city/xhouse2h
{       
   { 
   map textures/city/rusk_reflect.tga 
   tcgen environment 
   rgbgen identity 
   } 
   { 
   map textures/city/xhouse2h.tga 
      blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
   rgbgen identity 
   } 
   { 
   map $lightmap 
   rgbgen identity 
   blendfunc filter 
   } 
} 

textures/city/xhouse5g
{       
   { 
   map textures/city/rusk_reflect.tga 
   tcgen environment 
   rgbgen identity 
   } 
   { 
   map textures/city/xhouse5g.tga 
      blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
   rgbgen identity 
   } 
   { 
   map $lightmap 
   rgbgen identity 
   blendfunc filter 
   } 
} 

textures/city/xhouse5j 
{       
   { 
   map textures/city/rusk_reflect.tga 
   tcgen environment 
   rgbgen identity 
   } 
   { 
   map textures/city/xhouse5j.tga 
      blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
   rgbgen identity 
   } 
   { 
   map $lightmap 
   rgbgen identity 
   blendfunc filter 
   } 
} 

textures/city/xhouse5c
{       
   { 
   map textures/city/rusk_reflect.tga 
   tcgen environment 
   rgbgen identity 
   } 
   { 
   map textures/city/xhouse5c.tga 
      blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
   rgbgen identity 
   } 
   { 
   map $lightmap 
   rgbgen identity 
   blendfunc filter 
   } 
} 

textures/city/xhouse5d 
{       
   { 
   map textures/city/rusk_reflect.tga 
   tcgen environment 
   rgbgen identity 
   } 
   { 
   map textures/city/xhouse5d.tga 
      blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
   rgbgen identity 
   } 
   { 
   map $lightmap 
   rgbgen identity 
   blendfunc filter 
   } 
} 

textures/city/xhouse5h 
{       
   { 
   map textures/city/rusk_reflect.tga 
   tcgen environment 
   rgbgen identity 
   } 
   { 
   map textures/city/xhouse5h.tga 
      blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
   rgbgen identity 
   } 
   { 
   map $lightmap 
   rgbgen identity 
   blendfunc filter 
   } 
} 

textures/city/xhouse5k 
{       
   { 
   map textures/city/rusk_reflect.tga 
   tcgen environment 
   rgbgen identity 
   } 
   { 
   map textures/city/xhouse5k.tga 
      blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
   rgbgen identity 
   } 
   { 
   map $lightmap 
   rgbgen identity 
   blendfunc filter 
   } 
} 

textures/city/xhouse5k2
{       
   { 
   map textures/city/rusk_reflect.tga 
   tcgen environment 
   rgbgen identity 
   } 
   { 
   map textures/city/xhouse5k2.tga 
      blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
   rgbgen identity 
   } 
   { 
   map $lightmap 
   rgbgen identity 
   blendfunc filter 
   } 
} 

textures/city/xhouse5l 
{       
   { 
   map textures/city/rusk_reflect.tga 
   tcgen environment 
   rgbgen identity 
   } 
   { 
   map textures/city/xhouse5l.tga 
      blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
   rgbgen identity 
   } 
   { 
   map $lightmap 
   rgbgen identity 
   blendfunc filter 
   } 
} 

textures/city/xhouse5i
{       
   { 
   map textures/city/rusk_reflect.tga 
   tcgen environment 
   rgbgen identity 
   } 
   { 
   map textures/city/xhouse5i.tga 
      blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
   rgbgen identity 
   } 
   { 
   map $lightmap 
   rgbgen identity 
   blendfunc filter 
   } 
} 

textures/city/xhouse6e 
{       
   { 
   map textures/city/rusk_reflect.tga 
   tcgen environment 
   rgbgen identity 
   } 
   { 
   map textures/city/xhouse6e.tga 
      blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
   rgbgen identity 
   } 
   { 
   map $lightmap 
   rgbgen identity 
   blendfunc filter 
   } 
} 

textures/city/xhouse6f 
{       
   { 
   map textures/city/rusk_reflect.tga 
   tcgen environment 
   rgbgen identity 
   } 
   { 
   map textures/city/xhouse6f.tga 
      blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
   rgbgen identity 
   } 
   { 
   map $lightmap 
   rgbgen identity 
   blendfunc filter 
   } 
} 

textures/city/xhouse6b 
{       
   { 
   map textures/city/rusk_reflect.tga 
   tcgen environment 
   rgbgen identity 
   } 
   { 
   map textures/city/xhouse6b.tga 
      blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
   rgbgen identity 
   } 
   { 
   map $lightmap 
   rgbgen identity 
   blendfunc filter 
   } 
} 

textures/city/xhouse6i 
{       
   { 
   map textures/city/rusk_reflect.tga 
   tcgen environment 
   rgbgen identity 
   } 
   { 
   map textures/city/xhouse6i.tga 
      blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
   rgbgen identity 
   } 
   { 
   map $lightmap 
   rgbgen identity 
   blendfunc filter 
   } 
} 



textures/city/xhouse7b 
{       
   { 
   map textures/city/rusk_reflect.tga 
   tcgen environment 
   rgbgen identity 
   } 
   { 
   map textures/city/xhouse7b.tga 
      blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
   rgbgen identity 
   } 
   { 
   map $lightmap 
   rgbgen identity 
   blendfunc filter 
   } 
} 

textures/city/xhouse7e 
{       
   { 
   map textures/city/rusk_reflect.tga 
   tcgen environment 
   rgbgen identity 
   } 
   { 
   map textures/city/xhouse7e.tga 
      blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
   rgbgen identity 
   } 
   { 
   map $lightmap 
   rgbgen identity 
   blendfunc filter 
   } 
} 

textures/city/xhouse7c
{       
   { 
   map textures/city/rusk_reflect.tga 
   tcgen environment 
   rgbgen identity 
   } 
   { 
   map textures/city/xhouse7c.tga 
      blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
   rgbgen identity 
   } 
   { 
   map $lightmap 
   rgbgen identity 
   blendfunc filter 
   } 
} 

textures/city/xlight1
{
	q3map_lightimage textures/city/xlight1.tga
	q3map_surfacelight 50
        //blinkande gatlampa
	{
		map $lightmap
		rgbGen identity
	}
	{		
                map textures/city/xlight1.tga
		blendFunc GL_dst_color GL_src_color
		rgbGen identity
        }
	{		
		map textures/city/xlight1a.tga
		blendfunc GL_src_alpha GL_dst_alpha
                tcmod scale -1 -1
                 rgbgen wave sin 0.8 0.1 2 1
	}
}

textures/city/xlight2
{
	q3map_surfacelight 50
	//	gul lampa
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/city/xlight2.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}

}

textures/city/xlight3

{
	q3map_surfacelight 50
	//	bl lampa
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/city/xlight3.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}

}

textures/city/xlight4

{
	q3map_surfacelight 15000
	//	vit lampa
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/city/xlight4.tga
		blendFunc GL_DST_COLOR GL_SRC_ALPHA
		rgbGen identity
	}

}

textures/city/xlight4b

{
	q3map_surfacelight 50
	//	vit lampa
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/city/xlight4b.tga
		blendFunc GL_DST_COLOR GL_SRC_ALPHA
		rgbGen identity
	}

}

textures/city/xlight5

{
	q3map_surfacelight 50
	//	vit lampa
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/city/xlight5.tga
		blendFunc GL_DST_COLOR GL_SRC_ALPHA
		rgbGen identity
	}

}

textures/city/xsign6

{
	q3map_surfacelight 50
	//	polis skylt
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/city/xsign6.tga
		blendFunc GL_DST_COLOR GL_SRC_ALPHA
		rgbGen identity
	}

}

textures/city/bluesky
{
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	q3map_lightimage textures/city/blue.tga
	q3map_sun 0.98 0.70 0.14 300 -100 85
	q3map_surfacelight 200
        q3map_lightsubdivide 256
	q3map_globaltexture
	skyparms env/lognoreng/rusk2 - -

	{
		map textures/city/blue.tga
		blendfunc GL_ONE GL_ONE
	        tcMod scroll 0.0050 0.0060
		tcMod scale 3 3
	}
}

textures/city/xglas
{
	qer_editorimage textures/city/xglas.tga
	qer_trans 0.500000
	surfaceparm nolightmap
	//surfaceparm weaponclip
	surfaceparm playerclip
        surfaceparm trans
	cull disable
	{
		map textures/city/rusk_reflect.tga
		blendFunc GL_one_minus_src_alpha GL_one_minus_src_alpha
		tcGen environment
	}
}

textures/city/xtv2
{

	//	*************************************************
	//	*      	test tv			                *
	//	*      	okt 15 2000				*	
	//	*	kommentera ndringar			*
	//	*************************************************

        q3map_surfacelight 2000
	{
		map textures/city/xtv2.tga
	}
        {
		map textures/effects/tinfx3.tga
		blendfunc add
                rgbgen identity              
		tcgen environment
	}
        {
		map textures/city/xtv2.tga
		rgbGen identity
   		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbGen identity
	}	
	{
		animmap 3 textures/city/xtv00.tga textures/city/xtv01.tga textures/city/xtv02.tga textures/city/xtv03.tga textures/city/xtv04.tga textures/city/xtv05.tga textures/city/xtv06.tga textures/city/xtv07.tga 
		blendfunc add
		rgbGen wave sin 0.6 0.05 1 4 
	}
        {
		map textures/city/xtv08.tga
		blendfunc gl_one gl_one_minus_src_color
		rgbGen wave inversesawtooth 0.2 0.5 1 0.5
                tcmod turb 0.005 0.002 0.01 3
                tcmod stretch sin 1 0.02 1 0.5
	}
}

textures/city/xtv4
{
        surfaceparm trans
        nopicmip
	//trasig tv

	{
		map textures/city/xtv5.tga 
                rgbGen identity            
	}

	{
		map textures/city/xtv4.tga 
		blendfunc blend
                rgbGen identity            
	}

	{
		map $lightmap
		rgbGen identity
		blendFunc gl_dst_color gl_one_minus_dst_alpha
                tcgen lightmap
	}
}

textures/city/xtljus1
{
        q3map_lightimage textures/city/xtljus.tga
        surfaceparm nomarks
	//trafikljus
	{
                map $lightmap
                rgbGen identity
                tcgen lightmap
	}
	{
		map textures/city/xtljus1.tga
                blendfunc filter
                rgbGen identity
	}
	{
		map textures/city/xtljus1red.tga
		blendFunc add
		rgbGen wave square 0 0.8 0 0.02
	}
        {
		map textures/city/xtljus1yel.tga
		blendFunc add
		rgbGen wave square 0 0.8 0.2 0.04
	}
        {		
		map textures/city/xtljus1gre.tga
		blendFunc add
		rgbGen wave square 0 0.8 0.5 0.02

	}
}

textures/city/city_flare
{
    deformVertexes autoSprite
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm nolightmap
    cull none
          {
            clampmap textures/city/city_flare.tga
            blendFunc GL_ONE GL_ONE
          }
}
