
//////////////////////////////
//  Deepcanyon 2 Shaders    //
//////////////////////////////


//New Water good for darkening but does not work for waterfalls
textures/shaydc2/newwatercalm
{
qer_editorimage textures/liquids/pool3d_3.tga
qer_trans .5
q3map_globaltexture
surfaceparm trans
surfaceparm nonsolid
surfaceparm water
cull disable

{
map textures/liquids/pool3d_5.tga
blendFunc GL_dst_color GL_one
rgbgen identity
tcmod scale .5 .5
tcmod transform 1.5 0 1.5 1 1 2
tcmod scroll -.01 .01
}
{
map $lightmap
blendFunc GL_dst_color GL_zero
rgbgen identity
}
}

models\mapobjects\shaymon\dc2waterfall\dc2_waterfall
{

		cull disable
		{ 
			map models\mapobjects\shaymon\dc2waterfall\dc2_waterfall.tga
			blendFunc blend
			rgbgen identity
			tcmod scroll 0 -.4.5
		}
}


//**********************************************************************//
//									//
//	mudriver.shader for Q3Radiant					//
//	by Sock - 9th January 2001					//
//									//
//**********************************************************************//

textures/shaydc2/valley_skybox
{
	qer_editorimage textures/shaydc2/valley_view.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_globaltexture
	q3map_lightsubdivide 256
	q3map_surfacelight 125
	surfaceparm sky
	q3map_sun 0.924 0.948 1.000 100 220 60
	skyparms env/shaydc2/valley - -
}

textures/shaydc2/Dc2_slow_water
{
		qer_editorimage textures/shaydc2/dc2_pool.tga
		qer_trans .5
		q3map_globaltexture
		surfaceparm trans
		surfaceparm nonsolid
		surfaceparm nomarks
		surfaceparm nolightmap
		surfaceparm water

		cull disable
		deformVertexes wave 40 sin 0 .25 0 2
			
		{ 
			map textures/shaydc2/dc2_pool.tga
			blendFunc blend
			rgbgen identity
			tcmod scale .5 .5
			tcmod transform 1.5 0 1.5 1 1 2
			tcmod scroll .2 0.001
			tcMod turb 0 0.25 0 0.05
		}
}

textures/shaydc2/Dc2_calm_water
{
		qer_editorimage textures/shaydc2/dc2_pool.tga
		qer_trans .5
		q3map_globaltexture
		surfaceparm trans
		surfaceparm nonsolid
		surfaceparm nomarks
		surfaceparm nolightmap
		surfaceparm water

		cull disable
		//deformVertexes wave 40 sin 0 .25 0 2
		deformVertexes wave 40 sin 0 .25 0 .5
			
		{ 
			map textures/shaydc2/dc2_pool.tga
			blendFunc blend
			rgbgen identity
			tcmod scale .5 .5
			tcmod transform 1.5 0 1.5 1 1 2
			tcMod turb .1 .01 0 -.2
			tcmod scroll .004 -.001
		}
}
textures/shaydc2/Dc2_ivy_water
{
		qer_editorimage textures/shaydc2/dc2_clover2.tga
		qer_trans .5
		q3map_globaltexture
		surfaceparm trans
		surfaceparm nonsolid
		surfaceparm nomarks
		surfaceparm water

		cull disable
			
		{ 
			map textures/shaydc2/dc2_clover2.tga
			blendfunc gl_dst_color gl_zero 
			tcMod turb 0 .4 0 .008
		}
}

//DC2 Grass Sound
textures/shaydc2/dc2_grass_256
	{	
	surfaceparm grass	
	{
		map $lightmap
		rgbGen identity
	}	
	{
		map textures/shaydc2/dc2_grass_256.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

models\mapobjects\reaction\trees\palmtrees\palmfrond
{
	cull none
	nopicmip

	{
		map models\mapobjects\reaction\trees\palmtrees\palmfrond.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}

models\mapobjects\reaction\trees\palmtrees\bananaleaf
{
	cull none
	nopicmip

	{
		map models\mapobjects\reaction\trees\palmtrees\bananaleaf.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}