textures/lighthouse/lhsky
{
	qer_editorimage env/lighthouse/sea_up.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_surfacelight 125
	q3map_sun 0.266383 0.274632 0.358662 15 125 55
	skyParms env/lighthouse/sea 128 -
}

textures/lighthouse/waternodraw
{
	qer_editorimage textures/common/nodraw.tga
	surfaceparm nodraw
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm water
}

textures/lighthouse/opaquewater
{
	qer_editorimage textures/liquids/pool2.tga
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm water
	cull disable
	{
		map textures/liquids/pool2.tga
		rgbGen identity
		tcMod turb 0 0.2 0 0.1
	}
}

textures/lighthouse/wlight
{
	qer_editorimage textures/lighthouse/whitelight.tga
	q3map_lightimage textures/lighthouse/whitelight.tga
	surfaceparm nomarks
	q3map_surfacelight 20000
	{
		map $lightmap 
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/lighthouse/whitelight.tga
		blendfunc filter
		rgbGen identity
	}
}

textures/lighthouse/glass_break
{
	qer_trans 0.40
	qer_editorimage textures/reaction/qer_glass.tga
	surfaceparm trans
	{
		map textures/effects/tinfx3.tga
		blendFunc GL_ONE GL_ONE
		tcMod turb 0 0.02 0 0.02 
		tcgen environment
		rgbGen identity
	}
}

textures/lighthouse/tvoff
{
	qer_editorimage textures/lighthouse/black.tga
	surfaceparm rq3_glass
	{
		map textures/lighthouse/black.tga
		rgbGen identity
	}
	{
		map $lightmap 
		rgbGen identity
		tcGen lightmap 
		alphaGen oneMinusEntity
		blendfunc filter
	}

}

textures/lighthouse/tvon
{
	qer_editorimage textures/lighthouse/stimpy.tga
	surfaceparm rq3_glass
	{
		map textures/lighthouse/stimpy.tga
		rgbGen identity
		alphaGen wave sawtooth 0 100 0 0.01 
	}
	{
		map $lightmap 
		rgbGen identity
		tcGen lightmap 
		alphaGen oneMinusEntity
		blendfunc filter
	}
}

textures/lighthouse/transwater
{
	qer_editorimage textures/liquids/pool3d_3e.tga
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm water
	cull disable
	qer_trans 0.5
	q3map_globaltexture
	{
		map textures/lighthouse/water_color.tga
		blendfunc blend
		rgbGen identity
	}
	{
		map textures/liquids/pool3d_5e.tga
		blendfunc gl_dst_color gl_one
		rgbGen identity
		tcMod scale 0.5 0.5
		tcMod scroll 0.025 0.01
	}
	{
		map textures/liquids/pool3d_3e.tga
		blendfunc gl_dst_color gl_one
		rgbGen identity
		tcMod scale -0.5 -0.5
		tcMod scroll 0.025 0.025
	}
}

textures/lighthouse/waterfall
{
	qer_editorimage textures/lighthouse/waterfall.tga
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	qer_trans 0.5
	{
		map textures/lighthouse/water_color.tga
		blendfunc blend
		rgbGen identity
	}
	{
		map textures/lighthouse/waterfall.tga
		blendfunc blend
		rgbGen identityLighting
		tcMod scroll 0 -3
		tcMod turb 0 0.4 0 0.1
	}
}

textures/lighthouse/pool_c
{
	qer_editorimage textures/base_wall/concrete.tga
	q3map_globaltexture
	{
		map textures/base_wall/concrete.tga
		rgbGen identity
	}
	{
		map textures/liquids/pool3d_5e.tga
		blendfunc gl_zero gl_one_minus_src_color
		rgbGen const ( 0.33 0.33 0.33 )
		tcMod scale 0.5 0.5
		tcMod scroll 0.025 0.01
		detail
	}
	{
		map textures/liquids/pool3d_3e.tga
		blendfunc gl_zero gl_one_minus_src_color
		rgbGen const ( 0.33 0.33 0.33 )
		tcMod scale -0.5 -0.5
		tcMod scroll 0.025 0.025
		detail
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
	}
}

textures/lighthouse/pool_s
{
	qer_editorimage textures/max_payne_tile/slimytile01_noslime_b.tga
	q3map_globaltexture
	{
		map textures/max_payne_tile/slimytile01_noslime_b.tga
		rgbGen identity
	}
	{
		map textures/liquids/pool3d_5e.tga
		blendfunc gl_zero gl_one_minus_src_color
		rgbGen const ( 0.33 0.33 0.33 )
		tcMod scale 0.5 0.5
		tcMod scroll 0.025 0.01
		detail
	}
	{
		map textures/liquids/pool3d_3e.tga
		blendfunc gl_zero gl_one_minus_src_color
		rgbGen const ( 0.33 0.33 0.33 )
		tcMod scale -0.5 -0.5
		tcMod scroll 0.025 0.025
		detail
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
	}
}

textures/lighthouse/pool_t
{
	qer_editorimage textures/base_floor/tilefloor2.tga
	q3map_globaltexture
	{
		map textures/base_floor/tilefloor2.tga
		rgbGen identity
	}
	{
		map textures/liquids/pool3d_5e.tga
		blendfunc gl_zero gl_one_minus_src_color
		rgbGen const ( 0.33 0.33 0.33 )
		tcMod scale 0.5 0.1
		tcMod scroll 0.025 0.01
		detail
	}
	{
		map textures/liquids/pool3d_3e.tga
		blendfunc gl_zero gl_one_minus_src_color
		rgbGen const ( 0.33 0.33 0.33 )
		tcMod scale -0.5 -0.1
		tcMod scroll 0.025 0.025
		detail
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
	}
}

textures/lighthouse/smpool_b
{
	qer_editorimage textures/base_floor/tilefloor2.tga
	q3map_globaltexture
	{
		map textures/base_floor/tilefloor2.tga
		rgbGen identity
	}
	{
		map textures/liquids/pool3d_5e.tga
		blendfunc gl_zero gl_one_minus_src_color
		rgbGen const ( 0.33 0.33 0.33 )
		tcMod scale 0.5 0.5
		tcMod scroll 0.025 0.01
		detail
	}
	{
		map textures/liquids/pool3d_3e.tga
		blendfunc gl_zero gl_one_minus_src_color
		rgbGen const ( 0.33 0.33 0.33 )
		tcMod scale -0.5 -0.5
		tcMod scroll 0.025 0.025
		detail
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
	}
}

textures/lighthouse/smpool_s
{
	qer_editorimage textures/max_payne_tile/tile30b.tga
	q3map_globaltexture
	{
		map textures/max_payne_tile/tile30b.tga
		rgbGen identity
	}
	{
		map textures/liquids/pool3d_5e.tga
		blendfunc gl_zero gl_one_minus_src_color
		rgbGen const ( 0.33 0.33 0.33 )
		tcMod scale 0.5 0.1
		tcMod scroll 0.025 0.01
		detail
	}
	{
		map textures/liquids/pool3d_3e.tga
		blendfunc gl_zero gl_one_minus_src_color
		rgbGen const ( 0.33 0.33 0.33 )
		tcMod scale -0.5 -0.1
		tcMod scroll 0.025 0.025
		detail
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
	}
}

textures/lighthouse/carpet_r
{
	qer_editorimage textures/lighthouse/carpetred.tga
	q3map_bounce .4
	surfaceparm rq3_carpet
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/lighthouse/carpetred.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/lighthouse/carpet_b
{
	qer_editorimage textures/lighthouse/carpetblue.tga
	q3map_bounce .4
	surfaceparm rq3_carpet
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/lighthouse/carpetblue.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/lighthouse/carpet_g
{
	qer_editorimage textures/lighthouse/carpetgreen.tga
	q3map_bounce .4
	surfaceparm rq3_carpet
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/lighthouse/carpetgreen.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}