
//////////////////////////////
// Apartment Complex Shaders//
//////////////////////////////

//This Skybox comes from "Gunmetal" by Mad Genius Software, and has been converted 
//for Quake III Arena. Textures copyright 1998, Justin Fisher. 

textures/shay420main/jf-forest_sky
{
	qer_editorimage textures/shay420main/420main_forest_qer1.tga
	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	q3map_surfacelight 125  // was  100
	q3map_backsplash 0 512
	q3map_nofast
	q3map_lightsubdivide 256
	// note: Change the surfacelight value if you want more ambient light from the sky.
	// old sky q3map_sun 1 .9 .8 150 40 70
	//old sky was a20 surf and 150 sun
	//q3map_sun 1 1 1 115 175 55
	q3map_sun 1 1 1 150 175 45  //changed by j_r for Beta 2.0
	// note: Change the fourth value (200) if you want a brighter or dimmer sun
	skyparms env/shay420main/forest512 - -
}

//  Removed by j_r for Beta 2.0
//
//   Forest without Surfacelight (ie NO-GLOW)
//   =====================================================
//
//textures/shay420main/jf-forest_sky_noglow
//{
//	qer_editorimage textures/shay420main/420main_forest_qer2.tga
//	surfaceparm sky
//	surfaceparm noimpact
//	surfaceparm nolightmap
//	surfaceparm nomarks
//	q3map_sun 1 .9 .8 400 40 70
// note: Change the fourth value (200) if you want a brighter or dimmer sun
//	skyparms env/shay420main/forest512 - -
//}


textures/shay420main/mt_water
{
		qer_editorimage textures/liquids/pool3d_3.tga
		qer_trans .5
		q3map_globaltexture
		surfaceparm trans
		surfaceparm nonsolid
		surfaceparm nomarks
		surfaceparm nolightmap
		surfaceparm water

		cull disable
		deformVertexes wave 40 sin 0 1 0 2	
	
		
		{ 
			map textures/liquids/pool3d_5.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod transform 1.5 0 1.5 1 1 2
			tcmod scroll .4 0
		}
}

textures/shay420main/mt_still_water
{
		qer_editorimage textures/liquids/pool3d_3.tga
		qer_trans .5
		q3map_globaltexture
		surfaceparm trans
		surfaceparm nonsolid
		surfaceparm nomarks
		surfaceparm nolightmap
		surfaceparm water

		cull disable
	
		
		{ 
			map textures/liquids/pool3d_5.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod transform 1.5 0 1.5 1 1 2
			tcmod scroll .02 0
		}
}

//New Water
textures/shay420main/newwater
{
	qer_editorimage textures/liquids/pool3d_3.tga
	qer_trans .5
	q3map_globaltexture
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	cull disable

	{
		map textures/liquids/pool3d_5.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod transform 1.5 0 1.5 1 1 2
		tcmod scroll -.05 .001
	}
	{
		map $lightmap
		blendFunc GL_dst_color GL_zero
		rgbgen identity
	}
}


//DC2 Grass Sound
textures/shay420main/420main_grass_256
	
{	
	surfaceparm rq3_grass	
	{
		map $lightmap
		rgbGen identity
	}	
	{
		map textures/shay420main/420main_grass_256.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

//one-sided clear glass for breakable glass
textures/shay420main/glass_break
{
	qer_trans 0.40
	qer_editorimage textures/reaction/qer_glass.tga
	//surfaceparm rq3_glass

	{
		map textures/effects/tinfx3.tga
		blendFunc GL_ONE GL_ONE
		tcMod turb 0 0.02 0 0.02 
		tcgen environment
		rgbGen identity
	}
//	{
//		map $lightmap
//		rgbGen identity
//		blendFunc filter
//	}
}

