textures/spysky/bluecloudsky
{
	surfaceparm noimpact
	surfaceparm nolightmap
      q3map_lightimage textures/common/white.tga
	qer_editorimage textures/skies/bluetopclouds.tga 
	q3map_sun 1 1 .8 80 -41 58
	q3map_surfacelight 60
	q3map_nofast

      skyparms env/bluecloudsky/bluecloudsky - -
      {
		map textures/skies/dimclouds.tga
		blendfunc GL_ONE GL_ONE
		tcMod scroll 0.02 0.03
		tcMod scale 3 2
	}
}

models/mapobjects/palm_tree/palm_tree_leaf
{
	cull none
	nopicmip

	{
		map models/mapobjects/palm_tree/palm_tree_leaf.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}

models/mapobjects/palm_tree/palm_trunk
{
	
	{
		map models/mapobjects/palm_tree/palm_trunk.tga
		rgbGen vertex
	}
}

textures/spyder/waterfall
{
	q3map_globaltexture
	surfaceparm trans
	//surfaceparm nonsolid
	surfaceparm noimpact
	surfaceparm water
	surfaceparm nolightmap
	tessSize 64
	cull disable
	deformVertexes wave 32 triangle 1.1 2 .15 .78
	{
		map textures/spyder/waterfall_1.tga
		blendfunc GL_ONE GL_ONE		
		tcMod scale 1.0 2.0
		tcMod Scroll .5 8
                tcMod turb .1 .25 0 -.1
	}
	{
		map textures/spyder/waterfall_2.tga
		blendfunc GL_ONE GL_ONE
		tcMod scale .5 .5
		tcMod turb .1 .075 .5 .05
		tcMod Scroll .01 6.3
	}
}

models\mapobjects\multiplant\palmfrond
{	
    surfaceparm alphashadow
    cull none
    nopicmip
	{
		map models\mapobjects\multiplant\palmfrond.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identityLighting
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

models\mapobjects\multiplant\invisible
{
    surfaceparm alphashadow
	surfaceparm nolightmap			
        {
                map models\mapobjects\multiplant\invisible.tga
                alphaFunc GE128
		depthWrite
		rgbGen vertex
        }
}
