// Shaders for Valley of Ashes -- A Reaction Quake 3 map by HeXyDeS



// Shader for grate in Valley of Ashes

textures/vashes/grate2
{
	surfaceparm alphashadow
	surfaceparm trans
	cull none
	nomipmaps
	nopicmip
	qer_editorimage textures/vashes/grate2.tga
	{
		map textures/vashes/grate2.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

//Shader for glass
textures/vashes/breakableglass  
{  
	surfaceparm alphashadow  
	//surfaceparm nolightmap  
	surfaceparm trans  
	qer_editorimage textures/effects/tinfx3.tga 
	qer_trans 0.5 
	{  
		map textures/effects/tinfx3.tga  
		blendfunc add  
		tcgen environment  
		rgbGen identity  
	}  
} 

//Sky shader for Valley of Ashes

textures/skies/vashessky
{
	qer_editorimage textures/skies/stars_red.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_sun 1 1 1 40 270 80  //intensity changed from 55 to 40; angle from 90 to 270; and elevation from 60 to 80 by j_r
	q3map_surfacelight 60  //surfacelight lowered to 60 from 70 by j_r
	q3map_nofast //added by j_r
	skyparms env/sludge/sludgesky 1024 -

	{
		map textures/skies/dimclouds.tga
		tcMod scale 4 4
		tcMod scroll -0.025 0.025
		blendFunc add
	}
}

//fog

textures/vashes/pj_a1_fog1
{
	qer_editorimage textures/sfx/fog_grey.tga
	surfaceparm	trans
	surfaceparm	nonsolid
	surfaceparm	fog
	surfaceparm	nolightmap
	surfaceparm nodrop
	q3map_bounce 0.1 //added by j_r
	// q3map_surfacelight 5 //removed by j_r
	fogparms ( .5 .5 .5 ) 512
}

//Flourescent Light

textures/vashes/baslt4_1_2k
{
	qer_editorimage textures/base_light/baslt4_1.tga
	surfaceparm nomarks
	q3map_surfacelight 200  //changed from 2000 by j_r
	//light 1

	// New Fluorescent light
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/base_light/baslt4_1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/base_light/baslt4_1.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/vashes/oilspot
{
	{
		map textures/effects/tinfx.tga
                tcGen environment
                rgbGen identity
	}   
        {
		map textures/vashes/oilspot.tga
                blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	} 
        {
		map $lightmap
                blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}
