
models/mapobjects/gmc_van/gmc_van
{
	q3map_forcemeta
	q3map_clipModel
	q3map_splotchfix
	q3map_nonplanar
	q3map_shadeangle 45
	q3map_lightmapsamplesize 4
//	q3map_vertexshadows
	{
		map $lightmap
		tcGen lightmap
		rgbGen identity
	}
        {
                map models/mapobjects/gmc_van/gmc_van.tga
//             	rgbGen vertex
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
        }
}


models/mapobjects/tree2/trunk2
{
	q3map_forcemeta
//	q3map_clipModel
	q3map_splotchfix
	q3map_nonplanar
//	q3map_shadeangle 45
//	q3map_lightmapsamplesize 4
//	q3map_vertexshadows
	{
		map $lightmap
		tcGen lightmap
		rgbGen identity
	}
        {
                map models/mapobjects/tree2/trunk2.tga
//             	rgbGen vertex
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
        }
}


textures/gi_waterfront/light_cor1
{
	qer_editorimage textures/gi_waterfront/v_corona3.tga
	qer_trans 0.5
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm nomarks
	cull none
	deformVertexes autoSprite
	nopicmip

	{	
		clampmap textures/gi_waterfront/v_corona3.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaFunc GT0
		rgbGen identity
	}
}

textures/gi_waterfront/water2
{	
	qer_editorimage textures/gi_waterfront/pool2.tga
	q3map_globaltexture
	surfaceparm trans
	//surfaceparm nonsolid
	surfaceparm noimpact
	surfaceparm water
	cull disable	
	tesssize 128
//	deformVertexes wave 100 sin 3 2 .1 0.1
        {
		map textures/gi_waterfront/pool2.tga
                tcmod scale .2 .2
                tcmod scroll .04 .03
                tcMod turb 0 .1 0 .01
                blendFunc GL_ONE GL_ZERO
                rgbGen identity
	}
	{
		map textures/gi_waterfront/pool2.tga
                blendfunc blend
		tcMod turb 0 .2 0 .1
	}
{
		map $lightmap
		blendFunc GL_dst_color GL_zero
		rgbgen identity
}

}


textures/gi_waterfront/glass
{
//	surfaceparm alphashadow
	surfaceparm nolightmap
	qer_trans 0.5
	{
		map textures/effects/tinfx2.tga
		blendfunc add
		rgbGen identity
		tcGen environment 
	}
	{
		map textures/gi_waterfront/glass.tga
		blendfunc filter
		depthWrite
	}
}

textures/gi_waterfront/glassnocull
{
	qer_editorimage textures/gi_waterfront/glass.tga
//	surfaceparm alphashadow
	surfaceparm nolightmap
	qer_trans 0.5
	cull disable
	{
		map textures/effects/tinfx2.tga
		blendfunc add
		rgbGen identity
		tcGen environment 
	}
	{
		map textures/gi_waterfront/glass.tga
		blendfunc filter
		depthWrite
	}
}

textures/gi_waterfront/nodraw_water
{
qer_trans 0.25
qer_editorimage textures/common/nodraw
surfaceparm nodraw
surfaceparm nolightmap
surfaceparm nonsolid
surfaceparm trans
surfaceparm water
//surfaceparm fog
//fogparms ( 0.0 0.2 0.3 ) 320
}

textures/gi_waterfront/opaquewater
{
	qer_editorimage textures/gi_waterfront/pool.tga
	surfaceparm noimpact
	surfaceparm nonsolid
//	surfaceparm trans
	surfaceparm water
	surfaceparm alphashadow
//	surfaceparm fog
//	fogparms ( 0.0 0.2 0.3 ) 320
	cull disable
	{
		map textures/gi_waterfront/pool.tga
		rgbGen identity
		tcMod turb 0 0.2 0 0.1
	}
}

//sky

textures/gi_waterfront/sea
{
	qer_editorimage textures/skies/pjbasesky.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	q3map_sun .96 .97 .89 250 127 80
	q3map_surfacelight 90
//	q3map_skylight 90
	q3map_nofast
	skyparms env/gi_waterfront/sea - - 
}

//tree model

models/mapobjects/tree2/branch2
{
	q3map_lightimage textures/slterra/branch2_light.tga
	
	surfaceparm alphashadow
	surfaceparm pointlight
	surfaceparm trans
	cull none
	sort 10
  	
	{
		clampmap models/mapobjects/tree2/branch2.tga
		blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR        
	}
}

textures/gi_waterfront/fence
{
	qer_editorimage textures/base_trim/proto_fence.tga
	qer_trans .3
	surfaceparm trans		
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm nonsolid
	cull none
	nopicmip
	nomipmaps

	{
		map textures/base_trim/proto_fence.tga
		tcMod scale 3 3
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/gi_waterfront/pic1
{
	polygonOffset
	surfaceparm nomarks
	surfaceparm nonsolid	
	qer_editorimage textures/gi_waterfront/pic1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/gi_waterfront/pic1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/gi_waterfront/vx_pic1
{
	polygonOffset
	surfaceparm nomarks
	surfaceparm nonsolid	
	{
		map textures/gi_waterfront/pic1.tga
		rgbGen vertex
	}
}

textures/gi_waterfront/pic2
{
	polygonOffset
	surfaceparm nomarks
	surfaceparm nonsolid	
	qer_editorimage textures/gi_waterfront/pic2
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/gi_waterfront/pic2.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/gi_waterfront/vx_pic2
{
	polygonOffset
	surfaceparm nomarks
	surfaceparm nonsolid	
	{
		map textures/gi_waterfront/pic2.tga
		rgbGen vertex
	}
}


textures/gi_waterfront/pic3
{
	polygonOffset
	surfaceparm nomarks
	surfaceparm nonsolid	
	qer_editorimage textures/gi_waterfront/pic3
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/gi_waterfront/pic3.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/gi_waterfront/vx_pic3
{
	polygonOffset
	surfaceparm nomarks
	surfaceparm nonsolid	
	{
		map textures/gi_waterfront/pic3.tga
		rgbGen vertex
	}
}

textures/gi_waterfront/pic4
{
	polygonOffset
	surfaceparm nomarks
	surfaceparm nonsolid	
	qer_editorimage textures/gi_waterfront/pic4
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/gi_waterfront/pic4.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/gi_waterfront/vx_pic4
{
	polygonOffset
	surfaceparm nomarks
	surfaceparm nonsolid	
	{
		map textures/gi_waterfront/pic4.tga
		rgbGen vertex
	}
}

textures/gi_waterfront/sign
{
	polygonOffset
	surfaceparm nomarks
	surfaceparm nonsolid	
	qer_editorimage textures/gi_waterfront/sign
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/gi_waterfront/sign.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/gi_waterfront/vx_sign
{
	polygonOffset
	surfaceparm nomarks
	surfaceparm nonsolid	
	{
		map textures/gi_waterfront/sign.tga
		rgbGen vertex
	}
}

textures/gi_waterfront/oldshutter-256
{
	polygonOffset
	surfaceparm nomarks
	surfaceparm nonsolid	
	qer_editorimage textures/gi_waterfront/oldshutter-256
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/gi_waterfront/oldshutter-256.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/gi_waterfront/vx_oldshutter-256
{
	polygonOffset
	surfaceparm nomarks
	surfaceparm nonsolid	
	{
		map textures/gi_waterfront/oldshutter-256.tga
		rgbGen vertex
	}
}

textures/gi_waterfront/weathered_wood_offset
{
	polygonOffset
	surfaceparm nomarks
	qer_editorimage textures/gi_waterfront/weathered_wood
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/gi_waterfront/weathered_wood.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/gi_waterfront/vx_weathered_wood_offset
{
	polygonOffset
	surfaceparm nomarks
	{
		map textures/gi_waterfront/weathered_wood.tga
		rgbGen vertex
	}
}