textures/blockwar/blacktintglass
{
	surfaceparm alphashadow
	surfaceparm nolightmap
	surfaceparm RQ3_glass
	qer_trans 0.5
	{
		map textures/effects/tinfx3.tga
		blendfunc add
		rgbGen identity
		tcGen environment 
	}
	{
		map textures/blockwar/blacktintglass.tga
		blendfunc blend
		depthWrite
	}
}


textures/blockwar/fence
{
	qer_editorimage textures/base_trim/proto_fence.tga
	qer_trans .3
	surfaceparm trans		
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm nonsolid
	cull none
	nopicmip
	nomipmaps

	{
		map textures/base_trim/proto_fence.tga
		tcMod scale 3 3
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/blockwar/opaque_glass
{ 
qer_editorimage textures/sfx/blackness.tga
surfaceparm RQ3_glass
{
map textures/effects/tinfx3.tga
tcGen environment
rgbGen identity
}
{
map $lightmap
blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
rgbGen identity
}
}


textures/blockwar/p_mtl_blue_shiny2
{
	qer_editorimage textures/blockwar/p_mtl_blue.tga
	{
		map $lightmap
		rgbgen identity      
	}
	
	{
		map textures/blockwar/p_mtl_blue.tga
		blendFunc GL_DST_COLOR GL_SRC_ALPHA
		rgbGen identity
		alphaGen lightingSpecular
	}

			
}

textures/blockwar/p_mtl_blue_shiny
{
	qer_editorimage textures/blockwar/p_mtl_blue.tga
	{
		map $lightmap
		rgbgen identity      
	}
	
	{
		map textures/blockwar/p_mtl_blue.tga
		blendFunc GL_DST_COLOR GL_SRC_ALPHA
		rgbGen identity
		alphaGen lightingSpecular
	}

			
}


textures/blockwar/sofa_seat
{
	qer_editorimage textures/blockwar/sofa_seat.tga
	q3map_bounce .15
	{
		map textures/blockwar/sofa_seat.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}


textures/blockwar/concrete_nonsolid
{
	surfaceparm nomarks
	surfaceparm nonsolid
	polygonOffset
	qer_editorimage textures/base_wall/concrete_dark.tga
	{
		map textures/base_wall/concrete_dark.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/blockwar/vx_concrete_nonsolid
{
	surfaceparm nomarks
	surfaceparm nonsolid
	polygonOffset
	qer_editorimage textures/base_wall/concrete_dark.tga
	{
		map textures/base_wall/concrete_dark.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}


textures/blockwar/cement_nonsolid
{
	surfaceparm nomarks
	surfaceparm nonsolid
	polygonOffset
	qer_editorimage textures/blockwar/cement.tga
	{
		map textures/blockwar/cement.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/blockwar/vx_cement_nonsolid
{
	surfaceparm nomarks
	surfaceparm nonsolid
	polygonOffset
	qer_editorimage textures/blockwar/cement.tga
	{
		map textures/blockwar/cement.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}

textures/blockwar/nodraw_water
{
qer_trans 0.25
qer_editorimage textures/common/nodraw.tga
surfaceparm nodraw
surfaceparm nolightmap
surfaceparm nonsolid
surfaceparm trans
surfaceparm water
}

textures/blockwar/dash_night_sky
{
surfaceparm noimpact
surfaceparm nolightmap
surfaceparm sky
//q3map_globaltexture
qer_editorimage textures/blockwar/danight_ed.tga
q3map_sun .5 .37 .19 10 270 15
q3map_surfacelight 70
skyparms env/blockwar/danight 128 -
}

textures/blockwar/glass_clear
{
	qer_trans 0.40
	qer_editorimage textures/reaction/qer_glass.tga
	surfaceparm RQ3_glass

	{
		map textures/effects/tinfx3.tga
		blendFunc GL_ONE GL_ONE
		tcMod turb 0 0.02 0 0.02 
		tcgen environment
		rgbGen identity
	}
        {
		map $lightmap
		rgbGen identity
		blendFunc filter
	}
}

textures/reaction/weapclipmetal
{
	qer_trans 0.40
	qer_editorimage textures/common/weapclip.tga
	surfaceparm nodraw
    	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm RQ3_metal2
	q3map_bounce 0
}

textures/reaction/weapclipglass
{
	qer_trans 0.40
	qer_editorimage textures/common/weapclip.tga
	surfaceparm nodraw
    	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm RQ3_glass
	q3map_bounce 0
}


textures/blockwar/baslt_bw
{
	qer_editorimage textures/base_light/baslt4_1.tga
	surfaceparm nomarks
	q3map_surfacelight 750

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/base_light/baslt4_1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/base_light/baslt4_1.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/blockwar/darkwood1_shiny
{
	qer_editorimage textures/blockwar/old_wood2.tga
	surfaceparm RQ3_wood
	{
		map textures/effects/tinfx.tga
		tcGen environment
		rgbGen vertex
	}
	{
		map textures/blockwar/old_wood2.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/blockwar/glass02
{
	qer_editorimage textures/base_wall/shiny3.tga
	surfaceparm trans //?
	cull none //?
	qer_trans 0.5

	{
		map textures/effects/tinfx3.tga
		tcgen environment
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
	}
}

textures/blockwar/glass02_light
{
	qer_editorimage textures/base_wall/shiny3.tga
	surfaceparm trans
	cull none
	qer_trans 0.5
	q3map_surfacelight 5000

	{
		map textures/effects/tinfx3.tga
		tcgen environment
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
}

textures/blockwar/light2_shiny_dim
{
	qer_editorimage textures/blockwar/light2.tga
	q3map_surfacelight 200
	surfaceparm RQ3_glass
	{
		map textures/effects/tinfx3.tga
		tcGen environment
		rgbGen vertex
	}
	{
		map textures/blockwar/light2.tga
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}


textures/blockwar/light2_shiny
{
	qer_editorimage textures/blockwar/light2.tga
	q3map_surfacelight 1000
	q3map_subdivide 32
	surfaceparm RQ3_glass
	{
		map textures/effects/tinfx3.tga
		tcGen environment
		rgbGen vertex
	}
	{
		map textures/blockwar/light2.tga
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/blockwar/light2_street
{
	qer_editorimage textures/blockwar/light2.tga
	q3map_surfacelight 2500
	q3map_subdivide 32
	surfaceparm RQ3_glass
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/blockwar/light2.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}


textures/blockwar/light5_bw
{
	qer_editorimage textures/base_light/light5.tga
	surfaceparm nomarks
	surfaceparm RQ3_glass
	nomipmaps
	q3map_surfacelight 600
	
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/base_light/xlight5.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/base_light/xlight5.blend.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/blockwar/light_garage
{
	qer_editorimage textures/base_light/light5.tga
	surfaceparm nomarks
	surfaceparm RQ3_glass
	nomipmaps
	q3map_surfacelight 1200

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/base_light/xlight5.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/base_light/xlight5.blend.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/blockwar/skylight1_bw
{
	qer_editorimage textures/base_floor/skylight1.tga
	surfaceparm RQ3_glass
	q3map_lightimage textures/base_floor/skylight1_lm.tga
	q3map_surfacelight 400

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/base_floor/skylight1.tga
		blendfunc gl_dst_color gl_zero
		rgbGen identity
	}
	{
		map textures/base_floor/skylight1_lm.tga
		blendfunc GL_ONE GL_ONE
		rgbgen wave triangle .2 2 0 7.7
	}
	{
		map textures/base_floor/skylight1_lm.tga
		blendfunc GL_ONE GL_ONE
		rgbgen wave triangle .2 5 1 5.1
	}
}

textures/blockwar/skylight1_bw2
{
	qer_editorimage textures/base_floor/skylight1.tga
	surfaceparm RQ3_glass
	q3map_surfacelight 750

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/base_floor/skylight1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/blockwar/water
{
	qer_editorimage textures/blockwar/pool3d_5b.tga
	q3map_globaltexture
	qer_trans .75
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	surfaceparm nolightmap
	cull disable
	tesssize 64

	{
		map textures/blockwar/pool3d_6c2.tga
		blendFunc GL_dst_color GL_zero
		rgbgen identity
		tcmod scale .9 1.5
		tcmod scroll .005 -.025
	}
	{
		map textures/blockwar/pool3d_3c2.tga
		blendFunc GL_dst_color GL_zero
		rgbgen identity
		tcmod scale .25 1.5
		tcmod scroll -.003 -.025
	}
	{
		map textures/blockwar/pool3d_5c2.tga
		blendFunc GL_dst_color GL_zero
		rgbgen identity
		tcmod scale .25 .5
		tcmod scroll -.005 -.025
	}
}

textures/blockwar/nonwater
{
	qer_editorimage textures/blockwar/pool3d_5b.tga
	q3map_globaltexture
	qer_trans .75
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nolightmap
	cull disable
	tesssize 64

	{
		map textures/blockwar/pool3d_6c2.tga
		blendFunc GL_dst_color GL_zero
		rgbgen identity
		tcmod scale .9 1.5
		tcmod scroll .005 -.025
	}
	{
		map textures/blockwar/pool3d_3c2.tga
		blendFunc GL_dst_color GL_zero
		rgbgen identity
		tcmod scale .25 1.5
		tcmod scroll -.003 -.025
	}
	{
		map textures/blockwar/pool3d_5c2.tga
		blendFunc GL_dst_color GL_zero
		rgbgen identity
		tcmod scale .25 .5
		tcmod scroll -.005 -.025
	}
}

//Grating at bottom of sewer shaft
//Solid version of base_floor/proto_grate4

textures/blockwar/grate
{
	qer_editorimage textures/base_floor/proto_grate4.tga
	surfaceparm metalsteps	
        surfaceparm trans		
	cull none
        nopicmip
	{
		map textures/base_floor/proto_grate4.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

//Rotating fan
textures/blockwar/fan
{   
	qer_editorimage textures/base_wall/bluemetal1b_shiny.tga
	surfaceparm metalsteps
	surfaceparm nolightmap
        {
                map textures/effects/tinfx3.tga       
                tcGen environment
                rgbGen identity
	}   
        {
		map textures/base_wall/bluemetal1b_shiny.tga
                blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
	} 
}

models/mapobjects/tree2/branch2
{
  	surfaceparm nolightmap
 	surfaceparm trans	
  	surfaceparm nomarks	
  	cull none
  	sort 10
	{
	clampmap models/mapobjects/tree2/branch2.tga
	blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR        
	}
}

textures/blockwar/gen_off
{
	qer_editorimage textures/base_floor/clanggrate.tga
	surfaceparm metalsteps
	surfaceparm nolightmap

        {
                map textures/effects/tinfx3.tga       
                tcGen environment
                rgbGen identity
	}   
	{
		map textures/base_floor/clanggrate.tga
		blendFunc filter
		rgbGen identity
	}
}

textures/blockwar/gen_on
{
	qer_editorimage textures/base_floor/clanggrate.tga
	surfaceparm metalsteps
	surfaceparm nolightmap

        {
                map textures/effects/tinfx3.tga       
                tcGen environment
                rgbGen identity
	}   
	{
		map textures/base_floor/clanggrate.tga
		tcMod scroll 15 0
		blendFunc filter
		rgbGen identity
	}
}