// ***************
//     Custom
//     Lights
// ***************
textures/custom_lights/1k
{
	qer_editorimage textures/custom_lights/white.tga
	surfaceparm nomarks
	q3map_surfacelight 1000	

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/custom_lights/white.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/custom_lights/white.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/custom_lights/5k
{
	qer_editorimage textures/custom_lights/white.tga
	surfaceparm nomarks
	q3map_surfacelight 5000	

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/custom_lights/white.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/custom_lights/white.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/custom_lights/10k
{
	qer_editorimage textures/custom_lights/white.tga
	surfaceparm nomarks
	q3map_surfacelight 10000	

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/custom_lights/white.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/custom_lights/white.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/custom_lights/15k
{
	qer_editorimage textures/custom_lights/white.tga
	surfaceparm nomarks
	q3map_surfacelight 15000	

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/custom_lights/white.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/custom_lights/white.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/custom_lights/5kyellow
{
	qer_editorimage textures/custom_lights/yellow.tga
	surfaceparm nomarks
	q3map_surfacelight 5000	

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/custom_lights/yellow.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/custom_lights/yellow.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/custom_lights/5kred
{
	qer_editorimage textures/custom_lights/red.tga
	surfaceparm nomarks
	q3map_surfacelight 5000	

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/custom_lights/red.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/custom_lights/red.tga
		blendfunc GL_ONE GL_ONE
	}
}

//===============
// Light flares
//===============

textures/custom_lights/light_cor1
{
	qer_editorimage textures/custom_lights/v_corona3.tga
	qer_trans 0.5
//	sort additive
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm nomarks
	cull none
	deformVertexes autoSprite
	nopicmip
//	sort nearest

	{	
		clampmap textures/custom_lights/v_corona3.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaFunc GT0
		rgbGen identity
	}
}
