textures/custom_sky/sky_night
{
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	qer_editorimage textures/custom_sky/night_back.tga
	q3map_lightimage textures/custom_sky/night_back.tga
	q3map_surfacelight 200
	skyparms - 512 -
	{
		map textures/custom_sky/night_back.tga
		tcMod scale 2 2
		tcMod scroll 0.01 0.01
		depthWrite
	}
	{
		map textures/custom_sky/night_front.tga
		blendFunc GL_ONE GL_ONE
		tcMod scale 3 3
		tcMod scroll 0.02 0.02
	}
}

textures/custom_sky/moonlit
{
	qer_editorimage env/black_up.tga

	surfaceparm noimpact
	surfaceparm nolightmap

	q3map_surfacelight 50
//	q3map_sun .6 .6 .6 30 35 78
	q3map_sun 1 1 1 30 270 58

	skyparms env/black - -
}
//****************************************************//
//						      //
//		elbrus.shader for Q3Radiant	      //
//		Elbrus skybox by Speedy 	      //
//		www.planetquake.com/speedy	      //
//	note:  you might need to tweak _sun par	      //
//						      //
//****************************************************//

textures/custom_sky/custom_scene1
{
	qer_editorimage textures/custom_sky/scene1_view.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_globaltexture
//	q3map_lightsubdivide 256
	q3map_surfacelight 400
	surfaceparm sky
	q3map_sun	1 0.9 0.7 160 240 65
	skyparms env/custom_sky/elbrus - -
}

textures/custom_sky/custom_scene3
{
	qer_editorimage textures/custom_sky/scene1_view.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_globaltexture
//	q3map_lightsubdivide 256
	q3map_surfacelight 400
	surfaceparm sky
	q3map_sun	1 0.9 0.7 160 240 65
	skyparms env/custom_sky/aelbrus - -
}

//****************************************************************************************//
// Sky By Dash                                                                            //
//                                                                                        //
// http://www.planetquake.com/dash/                                                       //
//                                                                                        //
// To install a skybox: unzip the file wich contains the skybox in your quake3/baseq3     //
// dir. After that, go to your baseq3/scripts dir add the name of the shader relative to  //
// the skybox you've downloaded. For example the shader relative to "Earth Sunset" is     //
// dash_skybox1.shader so you'll have to add for this the line dash_skybox1. If you have  //
// any problem, just send me a mail. If you use one of my skyboxes, remember to add a     //
// .txt file in the pk3, giving me the credits.                                           //
//                                                                                        //
// dash@planetquake.com                                                                   //
//                                                                                        //
//****************************************************************************************//

textures/custom_sky/custom_scene2
{
	qer_editorimage textures/custom_sky/scene2_view.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_globaltexture
//	q3map_lightsubdivide 256
	q3map_surfacelight 20
	surfaceparm sky
	q3map_sun	.5 .37 .19 30 270 15
	skyparms env/custom_sky/danight - -
}
