//textures/ferron/topclouds
//{
//	qer_editorimage textures/ferron/topclouds.tga
//	surfaceparm noimpact
//	surfaceparm nolightmap
//	surfaceparm sky
//	//q3map_sun .5 .37 .19 20 170 33
//	q3map_surfacelight 30
//	
//	q3map_globaltexture
//	q3map_lightsubdivide 512
//	skyparms env/ferron/subway - -
//}

// Lognorengs suggestion of sky

textures/ferron/topclouds

{
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	q3map_lightimage textures/ferron/blue.tga
	q3map_sun 0.93 .93 1 30 -60 70
	q3map_surfacelight 30
        q3map_lightsubdivide 512
	q3map_globaltexture
	skyparms env/ferron/subway - -

}



textures/ferron/z_nayteikkuna1
{
	qer_editorimage textures/ferron/z_nayteikkuna1.tga
	qer_trans 0.6
	surfaceparm trans	
	surfaceparm nolightmap
	{
map textures/ferron/z_nayteikkuna1.tga
blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map textures/effects/tinfx3.tga
		blendFunc GL_ONE GL_ONE
		tcMod turb 0 0.02 0 0.02 
		tcgen environment
		rgbGen identity
	}           
}




// Water shader (from liquids/clear_ripple1
textures/ferron/calmx_pool
	{
		qer_editorimage textures/liquids/pool3d_3.tga
		qer_trans .5
		q3map_globaltexture
		surfaceparm trans
		surfaceparm nonsolid
		surfaceparm water
		q3map_lightimage textures/liquids/pool3d_3.tga
		cull disable
		deformVertexes wave 64 sin .5 .5 0 .5	
	
		
		{ 
			map textures/liquids/pool3d_5.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod transform 1.5 0 1.5 1 1 2
			tcmod scroll -.05 .001
		}
	
		{ 
			map textures/liquids/pool3d_6.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod transform 0 1.5 1 1.5 2 1
			tcmod scroll .025 -.001
		}

		{ 
			map textures/liquids/pool3d_3.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .25 .5
			tcmod scroll .001 .025
		}	

		{
			map $lightmap
			blendFunc GL_dst_color GL_zero
			rgbgen identity		
		}
}


// FLOWING Water shader (from liquids/clear_ripple1
textures/ferron/calmx_poolFLOW
	{
		qer_editorimage textures/liquids/pool3d_3.tga
		qer_trans .5
		q3map_globaltexture
		surfaceparm trans
		surfaceparm nonsolid
		surfaceparm water
		q3map_lightimage textures/liquids/pool3d_3.tga
		cull disable	
	
		
		{ 
			map textures/liquids/pool3d_5.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod scroll 0.15 0
		}
		
	
		{ 
			map textures/liquids/pool3d_6.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod scroll 0.10 0
		}

		{ 
			map textures/liquids/pool3d_3.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .2 .5
			tcmod scroll 0.13 0
		}	

		{
			map $lightmap
			blendFunc GL_dst_color GL_zero
			rgbgen identity		
		}
}


textures/ferron/wl_treeline
{
   cull none
   surfaceparm trans
   nopicmip
   deformVertexes wave 30 sin 0 1 0 .1
   deformVertexes wave 70 sin 0 1 0 .1

   {
      map textures/ferron/wl_treeline.tga
      blendFunc GL_ONE GL_ZERO
      alphaFunc GE128
      depthWrite
      rgbgen identity
   }
}

models/mapobjects/logtree4/leaves
{
   cull none
   surfaceparm trans
   nopicmip
   deformVertexes wave 20 sin 0 1 0 .1
   deformVertexes wave 120 sin 0 1 0 .1

   {
      map models/mapobjects/logtree4/leaves.tga
      blendFunc GL_ONE GL_ZERO
      alphaFunc GE128
      depthWrite
      rgbGen vertex
   }
}

textures/ferron/z_pipemetal
{
	qer_editorimage textures/ferron/z_pipemetal

	{
		map textures/base_wall/chrome_env.tga
	        rgbGen identity
		tcGen environment
	}

	{
		map textures/ferron/z_pipemetal.tga
		blendFunc blend
		rgbGen identity
	}

	{
		map $lightmap
		blendfunc filter
		rgbGen identity
		tcgen lightmap
	}
}

textures/ferron/z_light
{
	qer_editorimage textures/ferron/z_light
	surfaceparm nolightmap
	{
		map textures/ferron/z_light.jpg
}
}


//lended from nitrox
textures/ferron/proto_fence
{
	surfaceparm nomarks
	surfaceparm trans
	cull disable
	nopicmip
	{
		map textures/ferron/proto_fence.tga
		rgbGen identity
		tcMod scale 3 3
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}



