// Kumanru shaders

textures/kumanru/blood_drop01
{	
	qer_editorimage textures/kumanru/k_bubble.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	cull none
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nodlight
	deformvertexes autosprite
	deformvertexes move 6.593898 -48.253815 27.218554 sawtooth 0 1 0.000000 3.584736
	{
	clampmap textures/kumanru/k_bubble.tga
	tcMod rotate 40
	tcMod scale 0.1 0.1
	rgbGen const 1 0.2 0.2 
	blendfunc blend
	}
}

//Worklamp model lense

models/mapobjects/reaction/lense
{
        q3map_surfacelight 3000
	surfaceparm nolightmap
	{
		map $lightmap
		rgbGen identity
	}
	{
                map models/mapobjects/reaction/lense.jpg

//		blendFunc GL_DST_COLOR GL_ZERO
//              rgbGen vertex
		rgbGen identity
        }
	{
                map models/mapobjects/reaction/lense_add.tga
		blendfunc add
//              rgbGen vertex
//		rgbGen identity
        }
}

//Worklamp model base and case

models/mapobjects/reaction/base
{
	q3map_forcemeta
	q3map_clipModel
	q3map_splotchfix
	q3map_nonplanar
	q3map_shadeangle 45
	q3map_lightmapsamplesize 4
//	q3map_vertexshadows
	{
		map $lightmap
		tcGen lightmap
		rgbGen identity
	}
        {
                map models/mapobjects/reaction/base.jpg
//             	rgbGen vertex
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
        }
}

models/mapobjects/reaction/case
{
	q3map_forcemeta
	q3map_clipModel
	q3map_splotchfix
	q3map_nonplanar
	q3map_shadeangle 45
	q3map_lightmapsamplesize 4
//	q3map_vertexshadows
	{
		map $lightmap
		tcGen lightmap
		rgbGen identity
	}
        {
                map models/mapobjects/reaction/base.jpg
//             	rgbGen vertex
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
        }
}

//ls lamp shader for double sided polys

models/mapobjects/ls_lamp/marble02b
{
	cull none
	{
	map models/mapobjects/ls_lamp/marble02b.tga
	rgbgen vertex
	}
}

//Outside ground

textures/kumanru/dirtroc5
{
	
	qer_editorimage textures/undule_arbor/dirtroc5.tga
//	q3map_normalimage textures/undule_arbor/dirtroc5.tga
	surfaceparm gravel

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/undule_arbor/dirtroc5.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

//Outside rock

textures/ik2k_stone/ik_cliff512_jr
{
	
	qer_editorimage textures/ik2k_stone/ik_cliff512_jr.tga
	q3map_bounce 0.25 
	q3map_shadeangle 150 
	q3map_splotchfix 
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/undule_arbor/dirtroc5.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

//Slaughter chamber tables

textures/kumanru/sl_table
{
	qer_editorimage textures/kumanru/table_wood.tga
	surfaceparm wood
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/kumanru/table_wood.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

//Fog

textures/sfx/fog_kumanru
{
	qer_editorimage textures/sfx/fog_grey.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm fog
	surfaceparm nolightmap
	fogparms ( .733 .737 .620 ) 1000

}

//Basement water

textures/kumanru/water_blood
{
	qer_editorimage textures/kumanru/blood.tga
	qer_trans .5
	q3map_globaltexture
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	cull disable
	{ 
		map textures/kumanru/blood.tga
		blendFunc blend
		rgbgen identity
		tcMod scale .5 .5
		tcMod turb 0 .4 0 .008
	}
	{
		map $lightmap
		blendFunc filter
		rgbgen identity		
	}

}

//Shaft water

textures/kumanru/water_shaft
{
	qer_editorimage textures/kumanru/blood.tga
	qer_trans .5
	q3map_globaltexture
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	surfaceparm nomarks
	surfaceparm nolightmap
	cull disable
	{
		map $lightmap
		blendFunc filter
		rgbgen identity		
	}
}

//Vortex water
 
models/mapobjects/kumanru/whirlpool
{
	qer_editorimage textures/kumanru/blood_swirl.tga
	qer_trans .5
	q3map_globaltexture
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap
	nopicmip
	cull disable
	{ 
		map textures/kumanru/blood_swirl.tga
		blendFunc gl_one_minus_src_alpha gl_src_alpha
		rgbgen identity
		tcMod rotate 40
	}
}

//Pipe water

textures/kumanru/water_pipe
{
	qer_editorimage textures/liquids/pool3d_3b.tga
	qer_trans .5
	q3map_globaltexture
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm water
	surfaceparm nolightmap
	deformVertexes bulge .6 .6 3
	cull disable
	{ 
		map textures/liquids/pool3d_3.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod scroll .4 -4
	}
}


//Bells

textures/kumanru/bell_metal
{
	qer_editorimage textures/base_trim/pewter.tga
	surfaceparm metal2
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/base_trim/pewter.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/kumanru/bell_spike
{   
	qer_editorimage textures/base_trim/pewter_shiney.tga
	surfaceparm pointlight
        {
                map textures/effects/tinfx.tga       
                tcGen environment
                rgbGen identity
	}   
        {
		map textures/base_trim/pewter_shiney.tga
                blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
	} 
}

//Gold plate trim

textures/kumanru/gold_rivet
{   
	qer_editorimage textures/kumanru/kum_pewter_shiny.tga
        {
                map textures/effects/envmapgold.tga       
                tcGen environment
                rgbGen identity
	}   
        {
		map textures/kumanru/kum_pewter_shiny.tga
                blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
	} 
	{
		map $lightmap
		blendFunc filter
		rgbGen identity
	}
}

//Gold coffin lid

textures/kumanru/gold_solid
{   
	qer_editorimage textures/base_trim/pewter_shiney.tga
        {
                map textures/effects/envmapgold.tga       
                tcGen environment
                rgbGen identity
	}   
        {
		map textures/base_trim/pewter_shiney.tga
                blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
	} 
	{
		map $lightmap
		blendFunc filter
		rgbGen identity
	}
}

models/mapobjects/kumanru/gold_handle
{   
	qer_editorimage textures/base_trim/pewter_shiney.tga
        {
                map textures/effects/envmapgold.tga       
                tcGen environment
                rgbGen identity
	}   
        {
		map textures/base_trim/pewter_shiney.tga
                blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
	} 
}

//Secret Room Lights

models/mapobjects/kumanru/pewter
{   
	qer_editorimage textures/base_trim/pewter_shiney.tga
	surfaceparm nolightmap
        {
                map textures/effects/tinfx3.tga       
                tcGen environment
                rgbGen identity
	}   
        {
		map textures/base_trim/pewter_shiney.tga
                blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
	} 
}

textures/kumanru/secret_light
{
	qer_editorimage textures/kumanru/secret_light.tga
	q3map_surfacelight 2500
	q3map_lightsubdivide 10
	surfaceparm nomarks
	{
		map textures/kumanru/secret_light.tga
		blendFunc add
		rgbGen identity
	}
}

//**********************************************************************//
//									//
//	Title  : dustball.shader					//
//	Author : Sock							//
//	Date   : 17th August 2001					//
//	Email  : sock@planetquake.com					//
//	URL    : http://www.planetquake.com/simland			//
//									//
//**********************************************************************//

textures/kumanru/dustball_skybox
{
	qer_editorimage textures/moreskies/dustball_view.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_globaltexture
	q3map_lightsubdivide 256
	q3map_surfacelight 75
	surfaceparm sky
	q3map_sun 1.0 0.82 0.733 140 320 40 //1.000000 0.805838 0.656010
	skyparms env/kumanru/dustball - -
}
