//one-sided clear glass for non-breakable glass
textures/pastoral/glass_break
{
	qer_trans 0.40
	qer_editorimage textures/reaction/qer_glass.tga
	surfaceparm trans
	{
		map textures/effects/tinfx3.tga
		blendFunc GL_ONE GL_ONE
		tcMod turb 0 0.02 0 0.02 
		tcgen environment
		rgbGen identity
	}
}

//one-sided clear glass for non-breakable glass
textures/pastoral/glass_clear
{
	qer_trans 0.40
	qer_editorimage textures/reaction/qer_glass.tga
	surfaceparm trans
	surfaceparm rq3_glass
	{
		map textures/effects/tinfx3.tga
		blendFunc GL_ONE GL_ONE
		tcMod turb 0 0.02 0 0.02 
		tcgen environment
		rgbGen identity
	}
}

textures/pastoral/glass01
{   

	qer_trans .25
       	qer_editorimage textures/pastoral/glassalph.tga
 	surfaceparm trans
        surfaceparm alphashadow
	surfaceparm rq3_glass
        {
                map textures/effects/tinfx.tga       
                blendFunc GL_ONE GL_ONE
                tcGen environment
                rgbGen identity
	}   
        {
		map textures/pastoral/glassalph.tga
                alphaFunc GE128
                depthWrite
	} 
        {
		map $lightmap
		blendFunc filter
	}
}

textures/pastoral/glass02
{   

	qer_trans .25
       	qer_editorimage textures/pastoral/glassalph.tga
 	surfaceparm trans
        surfaceparm alphashadow
        {
                map textures/effects/tinfx.tga       
                blendFunc GL_ONE GL_ONE
                tcGen environment
                rgbGen identity
	}   
        {
		map textures/pastoral/glassalph.tga
                alphaFunc GE128
                depthWrite
	} 
        {
		map $lightmap
		blendFunc filter
	}
}

textures/pastoral/farmlandsky
{
// Skybox for Reaction
qer_editorimage textures/skies/pjbasesky.tga
surfaceparm noimpact
surfaceparm nolightmap
q3map_sun .65 .7 .8 120 207 20
q3map_surfacelight 60
skyparms env/pastoral/farmland - - 
}

textures/pastoral/pas_light01_2500
{
	qer_editorimage textures/pastoral/houselight01.tga
	q3map_lightimage textures/pastoral/houselight01.tga
	surfaceparm nomarks
	q3map_surfacelight 2500
	{
		map textures/pastoral/houselight01.tga
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
        {
		map textures/pastoral/houselight01.tga
		blendfunc gl_one gl_one
	}
}
	
textures/pastoral/pas_light01_7500
{
	qer_editorimage textures/pastoral/houselight01.tga
	q3map_lightimage textures/pastoral/houselight01.tga
	surfaceparm nomarks
	q3map_surfacelight 7500
	{
		map textures/pastoral/houselight01.tga
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
        {
		map textures/pastoral/houselight01.tga
		blendfunc gl_one gl_one
	}
}

textures/pastoral/pas_light01_10000
{
	qer_editorimage textures/pastoral/houselight01.tga
	q3map_lightimage textures/pastoral/houselight01.tga
	surfaceparm nomarks
	q3map_surfacelight 10000
	{
		map textures/pastoral/houselight01.tga
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
        {
		map textures/pastoral/houselight01.tga
		blendfunc gl_one gl_one
	}
	
}

textures/pastoral/pas_light01_15000
{
	qer_editorimage textures/pastoral/houselight01.tga
	q3map_lightimage textures/pastoral/houselight01.tga
	surfaceparm nomarks
	q3map_surfacelight 15000
	{
		map textures/pastoral/houselight01.tga
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
        {
		map textures/pastoral/houselight01.tga
		blendfunc gl_one gl_one
	}
	
}

textures/pastoral/pas_light02_700
{
	qer_editorimage textures/pastoral/houselight02.tga
	q3map_lightimage textures/pastoral/houselight02.tga
	surfaceparm nomarks
	q3map_surfacelight 700
	{
		map textures/pastoral/houselight02.tga
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
        {
		map textures/pastoral/houselight02.tga
		blendfunc gl_one gl_one
	}
}

textures/pastoral/pas_light02_2500
{
	qer_editorimage textures/pastoral/houselight02.tga
	q3map_lightimage textures/pastoral/houselight02.tga
	surfaceparm nomarks
	q3map_surfacelight 2500
	{
		map textures/pastoral/houselight02.tga
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
        {
		map textures/pastoral/houselight02.tga
		blendfunc gl_one gl_one
	}
}

textures/pastoral/pas_light02_5000
{
	qer_editorimage textures/pastoral/houselight02.tga
	q3map_lightimage textures/pastoral/houselight02.tga
	surfaceparm nomarks
	q3map_surfacelight 5000
	{
		map textures/pastoral/houselight02.tga
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
        {
		map textures/pastoral/houselight02.tga
		blendfunc gl_one gl_one
	}
}
	
textures/pastoral/pas_light02_7500
{
	qer_editorimage textures/pastoral/houselight02.tga
	q3map_lightimage textures/pastoral/houselight02.tga
	surfaceparm nomarks
	q3map_surfacelight 7500
	{
		map textures/pastoral/houselight02.tga
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
        {
		map textures/pastoral/houselight02.tga
		blendfunc gl_one gl_one
	}
}

textures/pastoral/lattice_3
{
       	qer_editorimage textures/pastoral/lattice03.tga
   	cull disable
    	surfaceparm alphashadow
    	surfaceparm trans
	surfaceparm rq3_wood2
        {
            map textures/pastoral/lattice03.tga
            alphaFunc GE128
		depthWrite
		rgbGen vertex
        }
        {
		map $lightmap
		rgbGen identity
		blendFunc filter
		depthFunc equal
	}
}

textures/pastoral/drive_gate
{
    	qer_editorimage textures/pastoral/gate.tga
    	cull disable
    	surfaceparm alphashadow
    	surfaceparm trans	
        {
            	map textures/pastoral/gate.tga
            	alphaFunc GE128
		depthWrite
		rgbGen vertex
        }
        {
		map $lightmap
		rgbGen identity
		blendFunc filter
		depthFunc equal
	}
}

textures/pastoral/tv_off
{
	qer_editorimage textures/pastoral/tv_black.tga
	surfaceparm rq3_glass
	{
		map textures/pastoral/tv_black.tga
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc GL_ZERO GL_ONE
	}
}

textures/pastoral/tv_screen
{
    	qer_editorimage textures/pastoral/screen_static.tga 
	surfaceparm rq3_glass
	{
                map textures/pastoral/screen_static.tga 
		tcMod turb 0 0.03 0 0.5      
                tcMod scroll 0.2 0.8
		tcMod scale 4 4
                rgbGen identity
		alphaGen wave sawtooth 0 100 0 0.01 
	} 
	{
		map $lightmap
		rgbGen identity
		blendfunc GL_ZERO GL_ONE
	}  
}

textures/pastoral/hedge
{
	
	qer_editorimage textures/pastoral/leaves.tga
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm playerclip
	surfaceparm trans
	surfaceparm rq3_leaves
	{
		map textures/pastoral/leaves.tga
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc filter
	}
}

textures/pastoral/hay_01
{
	qer_editorimage textures/pastoral/hay01.tga
	surfaceparm nomarks
	surfaceparm grass
	{
		map textures/pastoral/hay01.tga
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc filter
	}
}

textures/pastoral/hay_02
{
	qer_editorimage textures/pastoral/hay02.tga
	surfaceparm nomarks
	surfaceparm grass
	{
		map textures/pastoral/hay02.tga
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc filter
	}
}

textures/pastoral/hay_03
{
	qer_editorimage textures/pastoral/hay03.tga
	surfaceparm nomarks
	surfaceparm grass
	{
		map textures/pastoral/hay03.tga
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc filter
	}
}

textures/pastoral/pas_concretefloor1
{
	qer_editorimage textures/base_floor/concretefloor1.tga
	surfaceparm rq3_cement
	{
		map textures/pastoral/pas_chrome_env.tga
		tcgen environment
		rgbgen wave sin .25 0 0 0
	}


	{
		map textures/base_floor/concretefloor1.tga
		blendFunc GL_ZERO GL_SRC_ALPHA
		tcmod scale .1 .1
		rgbgen identity	
	}

	{
		map textures/base_floor/concretefloor1.tga
		blendFunc GL_ONE GL_SRC_ALPHA
		rgbgen identity	
	}


	{
		map $lightmap
        	blendfunc gl_dst_color gl_zero
		rgbgen identity 
	}
}

models\mapobjects\reaction\trees\maple\maple_green_256
{
	cull none
	nopicmip
	{
		map models\mapobjects\reaction\trees\maple\maple_green_256.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}

models/mapobjects/pastoral/vane
{   
	qer_editorimage textures/base_trim/pewter_shiney.tga
        {
                map textures/effects/envmapgold.tga       
                tcGen environment
                rgbGen identity
	}   
        {
		map textures/base_trim/pewter_shiney.tga
                blendFunc blend
		rgbGen identity
	} 
}

