// Shaders for Subway - a Reaction Quake 3 map by T.T.I.


textures/subway/brick-med-tan-bw
{
	qer_editorimage textures/subway/brick-med-tan-bw.tga
	{
		map textures/effects/tinfx2d.tga
		tcGen environment
		rgbGen identity
	}
	{
		map textures/subway/brick-med-tan-bw.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/subway/brick-med-tan-cornice
{
	qer_editorimage textures/subway/brick-med-tan-cornice.tga
	{
		map textures/effects/tinfx2d.tga
		tcGen environment
		rgbGen identity
	}
	{
		map textures/subway/brick-med-tan-cornice.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/subway/brick-med-tan-wdwed
{
	qer_editorimage textures/subway/brick-med-tan-wdwed.tga
	{
		map textures/effects/tinfx2d.tga
		tcGen environment
		rgbGen identity
	}
	{
		map textures/subway/brick-med-tan-wdwed.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/subway/carpet
{
	qer_editorimage textures/subway/ik_rug160256c.tga
	surfaceparm nomarks
	surfaceparm nonsolid
	deformVertexes wave 100 sin 2 2 0 .5
	cull none
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/subway/ik_rug160256c.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
}		

textures/subway/ind-corr-metal-1
{
	qer_editorimage textures/subway/ind-corr-metal-1.tga
	{
		map textures/effects/tinfx2d.tga
		tcGen environment
		rgbGen identity
	}
	{
		map textures/subway/ind-corr-metal-1.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/subway/metal
{
	qer_editorimage textures/base_wall/concrete.tga
	surfaceparm metalsteps
	{
		map textures/base_wall/concrete.tga
	}
        {
		map textures/base_wall/chrome_metal.tga
		tcgen environment
		blendFunc add
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc filter
		rgbGen identity
	}
}

textures/subway/metal-brown
{
	qer_editorimage textures/subway/ladder-rlg.tga
	nopicmip
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/subway/ladder-rlg.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
}

textures/subway/metal-red
{
	qer_editorimage textures/subway/metal-red.tga
	{
		map textures/subway/metal-red.tga
	}
	{
		map textures/base_wall/chrome_metal.tga
		tcgen environment
		blendFunc add
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc filter
		rgbGen identity
	}
}

textures/subway/stw-windows-tall
{
	qer_editorimage textures/subway/stw-windows-tall.tga
	{
		map textures/effects/tinfx2d.tga
		tcGen environment
		rgbGen identity
	}
	{
		map textures/subway/stw-windows-tall.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/subway/panes-1
{
	qer_editorimage textures/subway/panes-1.tga
	{
		map textures/effects/tinfx2d.tga
		tcGen environment
		rgbGen identity
	}
	{
		map textures/subway/panes-1.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/subway/pitch-black
{
	qer_editorimage textures/skies/blacksky.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	{
		map gfx/colors/black.tga
	}
}

textures/subway/s_barrel
{
	qer_editorimage textures/subway/s_barrel.tga
	surfaceparm metalsteps
	{
		map textures/effects/tinfx2d.tga
		tcGen environment
		rgbGen identity
	}
	{
		map textures/subway/s_barrel.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/subway/ladder-nodraw
{
	qer_editorimage textures/common/clip.tga
	surfaceparm nodraw
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm metalsteps
}

textures/subway/ladder-flr
{
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm metalsteps
	nopicmip
	{
		map textures/subway/ladder-flr.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}

textures/subway/ladder-ldr
{
	surfaceparm playerclip
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm metalsteps
	nopicmip
	nomipmaps
	{
		map textures/subway/ladder-ldr.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}

textures/subway/ladder-rlg
{
	qer_editorimage textures/subway/ladder-rlg.tga
	surfaceparm trans
	surfaceparm metalsteps
	nopicmip
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/subway/ladder-rlg.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
}

textures/subway/corona-fx1
{
	qer_editorimage textures/subway/corona-fx1.tga
	qer_trans 0.5
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap
	deformVertexes autoSprite
	cull none
	nopicmip
	{	
		clampmap textures/subway/corona-fx1.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaFunc GT0
		rgbGen identity
	}
}

textures/subway/corona-fx2
{
	qer_editorimage textures/subway/corona-fx2.tga
	qer_trans 0.5
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	deformVertexes autoSprite
	cull none
	nopicmip
	{	
		clampmap textures/subway/corona-fx2.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaFunc GT0
		rgbGen identity
	}
}

textures/subway/fence1
{
	qer_editorimage textures/base_trim/proto_fence.tga
	qer_trans 0.5
	surfaceparm trans
	surfaceparm noimpact		
	surfaceparm nomarks
	surfaceparm nonsolid
	cull none
	nopicmip
	nomipmaps
	{
		map textures/base_trim/proto_fence.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		tcMod scale 4 4
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/subway/flame-fx1
{
	qer_editorimage textures/sfx/flame1.tga
	qer_trans 0.5
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	cull none
	{
		animMap 10 textures/sfx/flame1.tga textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave inverseSawtooth 0 1 0 10	
	}	
	{
		animMap 10 textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga textures/sfx/flame1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sawtooth 0 1 0 10
	}	
	{
		map textures/sfx/flameball.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin .6 .2 0 .6
	}
}

textures/subway/ladderclip
{
	qer_trans 0.5
	qer_editorimage textures/reaction/qer_ladder.tga
	surfaceparm playerclip
	surfaceparm ladder
	surfaceparm nodraw
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
}

textures/subway/metal_caulk
{
	qer_editorimage textures/reaction/metal_caulk.tga
	surfaceparm nodraw
	surfaceparm nomarks
        surfaceparm nolightmap
	surfaceparm metalsteps
}

textures/subway/metal_weapclip
{
	qer_trans 0.40
	qer_editorimage textures/reaction/metal_weapclip.tga
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm metalsteps
}

textures/subway/s_portal
{
	qer_editorimage textures/subway/s_screen.tga
	portal
	{
		map textures/sfx/mirror.jpg
		blendfunc GL_ZERO GL_ONE_MINUS_SRC_ALPHA
		depthWrite
		rgbGen identity
		alphagen portal 276
	}
	{
		map textures/subway/s_screen.tga
		blendFunc blend
		depthFunc equal
		rgbGen const ( .22 .2 .24 ) 
	}
}

textures/subway/s_carlight500
{
	qer_editorimage textures/subway/s_carlight.tga
	surfaceparm nomarks
	nopicmip
	nomipmaps
	q3map_surfacelight 500
	q3map_lightsubdivide 16
	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/subway/s_carlight.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/subway/s_carlight.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/subway/s_light500
{
	qer_editorimage textures/subway/s_light1k.tga
	surfaceparm nomarks
	nopicmip
	nomipmaps
	q3map_surfacelight 500
	q3map_lightsubdivide 16
	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/subway/s_light1k.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/subway/s_light1k.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/subway/s_light1k
{
	qer_editorimage textures/subway/s_light1k.tga
	surfaceparm nomarks
	nopicmip
	nomipmaps
	q3map_surfacelight 1000
	q3map_lightsubdivide 16
	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/subway/s_light1k.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/subway/s_light1k.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}




// ============
//  Subway car
// ============

textures/subway/s_car1_1
{
	qer_editorimage textures/subway/s_car1_1.tga
	surfaceparm metalsteps
	{
		map textures/subway/s_car1_1.tga
	}
        {
		map textures/base_wall/chrome_metal.tga
		tcgen environment
		blendFunc add
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc filter
		rgbGen identity
	}
}

textures/subway/s_car1_2
{
	qer_editorimage textures/subway/s_car1_2.tga
	surfaceparm metalsteps
	{
		map textures/subway/s_car1_2.tga
	}
        {
		map textures/base_wall/chrome_metal.tga
		tcgen environment
		blendFunc add
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc filter
		rgbGen identity
	}
}

textures/subway/s_car1_3
{
	qer_editorimage textures/subway/s_car1_3.tga
	surfaceparm metalsteps
	{
		map textures/subway/s_car1_3.tga
	}
        {
		map textures/base_wall/chrome_metal.tga
		tcgen environment
		blendFunc add
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc filter
		rgbGen identity
	}
}

textures/subway/s_car2_1
{
	qer_editorimage textures/subway/s_car2_1.tga
	surfaceparm metalsteps
	{
		map textures/subway/s_car2_1.tga
	}
        {
		map textures/base_wall/chrome_metal.tga
		tcgen environment
		blendFunc add
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc filter
		rgbGen identity
	}
}

textures/subway/s_car2_2
{
	qer_editorimage textures/subway/s_car2_2.tga
	surfaceparm metalsteps
	{
		map textures/subway/s_car2_2.tga
	}
        {
		map textures/base_wall/chrome_metal.tga
		tcgen environment
		blendFunc add
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc filter
		rgbGen identity
	}
}

textures/subway/s_cardoor1_1
{
	qer_editorimage textures/subway/s_cardoor1_1.tga
	surfaceparm metalsteps
	{
		map textures/subway/s_cardoor1_1.tga
	}
        {
		map textures/base_wall/chrome_metal.tga
		tcgen environment
		blendFunc add
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc filter
		rgbGen identity
	}
}

textures/subway/s_cardoor1_2
{
	qer_editorimage textures/subway/s_cardoor1_2.tga
	surfaceparm metalsteps
	{
		map textures/subway/s_cardoor1_2.tga
	}
        {
		map textures/base_wall/chrome_metal.tga
		tcgen environment
		blendFunc add
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc filter
		rgbGen identity
	}
}




// =======
//  Glass 
// =======

textures/subway/glass
{
	qer_trans 0.4
	qer_editorimage textures/reaction/qer_glass.tga
	surfaceparm alphashadow
	surfaceparm nolightmap
	surfaceparm trans
	cull none
	{
		map models/mapobjects/tti-tekn/glass-fx.tga
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
}

textures/subway/window
{
	qer_editorimage textures/reaction/qer_glass.tga
	qer_trans 0.3
	surfaceparm trans	
	surfaceparm nolightmap
	{
		map textures/subway/v_glass2.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}           
}

textures/subway/window2
{
	qer_editorimage textures/reaction/qer_glass.tga
	qer_trans 0.3
	surfaceparm trans	
	{
		map textures/effects/tinfx.tga
		tcgen environment
		blendFunc add
		rgbGen identity
	}
	{	map $lightmap
		rgbGen identity
		blendFunc filter
	} 
}




// =======
//  Signs
// =======

textures/subway/s_sign2_1
{
	qer_editorimage textures/subway/s_sign2_1.tga
	surfaceparm nomarks
	nopicmip
	nomipmaps
	q3map_surfacelight 200
	q3map_lightsubdivide 16
	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/subway/s_sign2_1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/subway/s_sign2_1.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/subway/s_sign2_2
{
	qer_editorimage textures/subway/s_sign2_2.tga
	surfaceparm nomarks
	nopicmip
	nomipmaps
	q3map_surfacelight 200
	q3map_lightsubdivide 16
	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/subway/s_sign2_2.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/subway/s_sign2_2.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/subway/s_sign3
{
	qer_editorimage textures/subway/s_sign3.tga
	surfaceparm nomarks
	nopicmip
	nomipmaps
	q3map_surfacelight 200
	q3map_lightsubdivide 16
	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/subway/s_sign3.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/subway/s_sign3.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/subway/s_sign4
{
	qer_editorimage textures/subway/s_sign4.tga
	surfaceparm nomarks
	nopicmip
	nomipmaps
	q3map_surfacelight 200
	q3map_lightsubdivide 16
	q3map_backsplash 25 8
	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/subway/s_sign4.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}




// =====================
//  Makro's gold shader
// =====================

textures/subway/v_gold_shiny
{
	qer_editorimage textures/subway/v_gold.tga
	surfaceparm nomarks
	{
		map textures/subway/v_gold.tga
	}
	{
		map textures/effects/tinfx2.tga
		tcGen environment
		blendFunc add
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc filter
		rgbGen identity
	}
}




// ======================
//  Shaymon's maple tree
// ======================

models/mapobjects/reaction/trees/maple/maple_fall_256
{
	cull none
	nopicmip
	{
		map models/mapobjects/reaction/trees/maple/maple_fall_256.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}




// ========================
//  Blue skies bring tears
// ========================

textures/subway/subway_sky
{
	qer_editorimage textures/reaction/subway_sky.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	q3map_surfacelight 50
	q3map_globaltexture
	q3map_lightsubdivide 512
	q3map_sun 40 100 170 32 90 90
	skyparms env/subway/subway 128 -
	{
		map env/subway/topclouds.jpg
		tcMod scale 3 2
		tcMod scroll 0.01 0.015
		depthWrite
		blendfunc GL_DST_COLOR GL_SRC_COLOR
		detail
	}
}




// =====
//  Fog
// =====

textures/subway/subway-fog1
{
	qer_editorimage textures/reaction/subway_fog.tga
	qer_trans 0.1
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm fog
	surfaceparm nolightmap
	fogparms ( .47 .66 .86 ) 512
}

textures/subway/subway-fog2
{
	qer_editorimage textures/reaction/subway_fog.tga
	qer_trans 0.1
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm fog
	surfaceparm nolightmap
	fogparms ( .47 .66 .86 ) 4096
}




// ===============
//  Steam shaders
// ===============

// This file was automatically created by Particle Studio.
// For more information about Particle Studio, please
// visit http://www.quake3stuff.com/freebrief

textures/subway/s_steam_1
{
	qer_editorimage textures/subway/s_steam.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	cull none
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nodlight
	deformvertexes autosprite
	deformvertexes move -1.118872 5.902290 39.546314 sawtooth 0 1 0.214576 0.500000
	{
		clampmap textures/subway/s_steam.tga
		tcMod rotate 69.442123
		AlphaGen wave sawtooth 1.000000 -1.000000 0.214576 0.500000
		rgbGen wave sawtooth 1.000000 0.000000 0.214576 0.500000
		tcMod stretch sawtooth 0.200000 0.600000 0.214576 0.500000
		blendfunc blend
	}
}

textures/subway/s_steam_2
{
	qer_editorimage textures/subway/s_steam.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	cull none
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nodlight
	deformvertexes autosprite
	deformvertexes move 2.572479 -5.967725 39.468578 sawtooth 0 1 0.894620 0.500000
	{
		clampmap textures/subway/s_steam.tga
		tcMod rotate 71.143227
		AlphaGen wave sawtooth 1.000000 -1.000000 0.894620 0.500000
		rgbGen wave sawtooth 1.000000 0.000000 0.894620 0.500000
		tcMod stretch sawtooth 0.200000 0.600000 0.894620 0.500000
		blendfunc blend
	}
}

textures/subway/s_steam_3
{
	qer_editorimage textures/subway/s_steam.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	cull none
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nodlight
	deformvertexes autosprite
	deformvertexes move 1.219477 -5.061371 39.659744 sawtooth 0 1 0.425886 0.500000
	{
		clampmap textures/subway/s_steam.tga
		tcMod rotate 67.185280
		AlphaGen wave sawtooth 1.000000 -1.000000 0.425886 0.500000
		rgbGen wave sawtooth 1.000000 0.000000 0.425886 0.500000
		tcMod stretch sawtooth 0.200000 0.600000 0.425886 0.500000
		blendfunc blend
	}
}

textures/subway/s_steam_4
{
	qer_editorimage textures/subway/s_steam.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	cull none
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nodlight
	deformvertexes autosprite
	deformvertexes move 5.775652 3.220614 39.449581 sawtooth 0 1 0.418134 0.500000
	{
		clampmap textures/subway/s_steam.tga
		tcMod rotate 72.700584
		AlphaGen wave sawtooth 1.000000 -1.000000 0.418134 0.500000
		rgbGen wave sawtooth 1.000000 0.000000 0.418134 0.500000
		tcMod stretch sawtooth 0.200000 0.600000 0.418134 0.500000
		blendfunc blend
	}
}

textures/subway/s_steam_5
{
	qer_editorimage textures/subway/s_steam.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	cull none
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nodlight
	deformvertexes autosprite
	deformvertexes move 0.892533 -1.612405 39.957520 sawtooth 0 1 0.741630 0.500000
	{
		clampmap textures/subway/s_steam.tga
		tcMod rotate 61.899776
		AlphaGen wave sawtooth 1.000000 -1.000000 0.741630 0.500000
		rgbGen wave sawtooth 1.000000 0.000000 0.741630 0.500000
		tcMod stretch sawtooth 0.200000 0.600000 0.741630 0.500000
		blendfunc blend
	}
}

textures/subway/s_steam_6
{
	qer_editorimage textures/subway/s_steam.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	cull none
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nodlight
	deformvertexes autosprite
	deformvertexes move -0.562858 -0.579813 39.991837 sawtooth 0 1 0.505844 0.500000
	{
		clampmap textures/subway/s_steam.tga
		tcMod rotate 89.567856
		AlphaGen wave sawtooth 1.000000 -1.000000 0.505844 0.500000
		rgbGen wave sawtooth 1.000000 0.000000 0.505844 0.500000
		tcMod stretch sawtooth 0.200000 0.600000 0.505844 0.500000
		blendfunc blend
	}
}

textures/subway/s_steam_7
{
	qer_editorimage textures/subway/s_steam.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	cull none
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nodlight
	deformvertexes autosprite
	deformvertexes move 0.083435 6.171511 39.520950 sawtooth 0 1 0.823573 0.500000
	{
		clampmap textures/subway/s_steam.tga
		tcMod rotate 82.949310
		AlphaGen wave sawtooth 1.000000 -1.000000 0.823573 0.500000
		rgbGen wave sawtooth 1.000000 0.000000 0.823573 0.500000
		tcMod stretch sawtooth 0.200000 0.600000 0.823573 0.500000
		blendfunc blend
	}
}

textures/subway/s_steam_8
{
	qer_editorimage textures/subway/s_steam.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	cull none
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nodlight
	deformvertexes autosprite
	deformvertexes move -2.875269 1.592841 39.864716 sawtooth 0 1 0.576312 0.500000
	{
		clampmap textures/subway/s_steam.tga
		tcMod rotate 80.742821
		AlphaGen wave sawtooth 1.000000 -1.000000 0.576312 0.500000
		rgbGen wave sawtooth 1.000000 0.000000 0.576312 0.500000
		tcMod stretch sawtooth 0.200000 0.600000 0.576312 0.500000
		blendfunc blend
	}
}




// ===============
//  Spark shaders
// ===============

// This file was automatically created by Particle Studio.
// For more information about Particle Studio, please
// visit http://www.quake3stuff.com/freebrief

textures/subway/s_spark_1
{
	qer_editorimage textures/subway/s_spark.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	cull none
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nodlight
	nopicmip
	nomipmaps
	deformvertexes autosprite
	deformvertexes move -6.724655 8.865336 -4.492752 sawtooth 0 1 -0.171215 2.500000
	{
		clampmap textures/subway/s_spark.tga
		tcMod rotate 0.000000
		AlphaGen wave sawtooth 1.000000 -1.000000 -0.171215 2.500000
		rgbGen wave sawtooth 1.000000 0.000000 -0.171215 2.500000
		tcMod stretch sawtooth 0.250000 0.000000 -0.171215 2.500000
		blendfunc add
	}
}

textures/subway/s_spark_2
{
	qer_editorimage textures/subway/s_spark.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	cull none
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nodlight
	nopicmip
	nomipmaps
	deformvertexes autosprite
	deformvertexes move -0.381283 4.487347 11.122874 sawtooth 0 1 0.063607 2.500000
	{
		clampmap textures/subway/s_spark.tga
		tcMod rotate 0.000000
		AlphaGen wave sawtooth 1.000000 -1.000000 0.063607 2.500000
		rgbGen wave sawtooth 1.000000 0.000000 0.063607 2.500000
		tcMod stretch sawtooth 0.250000 0.000000 0.063607 2.500000
		blendfunc add
	}
}

textures/subway/s_spark_3
{
	qer_editorimage textures/subway/s_spark.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	cull none
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nodlight
	nopicmip
	nomipmaps
	deformvertexes autosprite
	deformvertexes move -2.512808 9.893123 -6.309669 sawtooth 0 1 0.480844 2.500000
	{
		clampmap textures/subway/s_spark.tga
		tcMod rotate 0.000000
		AlphaGen wave sawtooth 1.000000 -1.000000 0.480844 2.500000
		rgbGen wave sawtooth 1.000000 0.000000 0.480844 2.500000
		tcMod stretch sawtooth 0.250000 0.000000 0.480844 2.500000
		blendfunc add
	}
}

textures/subway/s_spark_4
{
	qer_editorimage textures/subway/s_spark.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	cull none
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nodlight
	nopicmip
	nomipmaps
	deformvertexes autosprite
	deformvertexes move 5.193442 -8.629275 6.524091 sawtooth 0 1 -0.125694 2.500000
	{
		clampmap textures/subway/s_spark.tga
		tcMod rotate 0.000000
		AlphaGen wave sawtooth 1.000000 -1.000000 -0.125694 2.500000
		rgbGen wave sawtooth 1.000000 0.000000 -0.125694 2.500000
		tcMod stretch sawtooth 0.250000 0.000000 -0.125694 2.500000
		blendfunc add
	}
}

textures/subway/s_spark_5
{
	qer_editorimage textures/subway/s_spark.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	cull none
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nodlight
	nopicmip
	nomipmaps
	deformvertexes autosprite
	deformvertexes move 6.375793 -3.852575 -9.407813 sawtooth 0 1 0.537608 2.500000
	{
		clampmap textures/subway/s_spark.tga
		tcMod rotate 0.000000
		AlphaGen wave sawtooth 1.000000 -1.000000 0.537608 2.500000
		rgbGen wave sawtooth 1.000000 0.000000 0.537608 2.500000
		tcMod stretch sawtooth 0.250000 0.000000 0.537608 2.500000
		blendfunc add
	}
}

textures/subway/s_spark_6
{
	qer_editorimage textures/subway/s_spark.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	cull none
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nodlight
	nopicmip
	nomipmaps
	deformvertexes autosprite
	deformvertexes move 2.646939 11.337788 2.906594 sawtooth 0 1 -0.124705 2.500000
	{
		clampmap textures/subway/s_spark.tga
		tcMod rotate 0.000000
		AlphaGen wave sawtooth 1.000000 -1.000000 -0.124705 2.500000
		rgbGen wave sawtooth 1.000000 0.000000 -0.124705 2.500000
		tcMod stretch sawtooth 0.250000 0.000000 -0.124705 2.500000
		blendfunc add
	}
}

textures/subway/s_spark_7
{
	qer_editorimage textures/subway/s_spark.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	cull none
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nodlight
	nopicmip
	nomipmaps
	deformvertexes autosprite
	deformvertexes move -4.148398 -4.158706 -10.464032 sawtooth 0 1 0.964513 2.500000
	{
		clampmap textures/subway/s_spark.tga
		tcMod rotate 0.000000
		AlphaGen wave sawtooth 1.000000 -1.000000 0.964513 2.500000
		rgbGen wave sawtooth 1.000000 0.000000 0.964513 2.500000
		tcMod stretch sawtooth 0.250000 0.000000 0.964513 2.500000
		blendfunc add
	}
}

textures/subway/s_spark_8
{
	qer_editorimage textures/subway/s_spark.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	cull none
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nodlight
	nopicmip
	nomipmaps
	deformvertexes autosprite
	deformvertexes move -5.908857 1.193164 10.376019 sawtooth 0 1 0.089572 2.500000
	{
		clampmap textures/subway/s_spark.tga
		tcMod rotate 0.000000
		AlphaGen wave sawtooth 1.000000 -1.000000 0.089572 2.500000
		rgbGen wave sawtooth 1.000000 0.000000 0.089572 2.500000
		tcMod stretch sawtooth 0.250000 0.000000 0.089572 2.500000
		blendfunc add
	}
}

textures/subway/s_spark_9
{
	qer_editorimage textures/subway/s_spark.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	cull none
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nodlight
	nopicmip
	nomipmaps
	deformvertexes autosprite
	deformvertexes move -8.372108 -4.290417 7.449841 sawtooth 0 1 0.056612 2.500000
	{
		clampmap textures/subway/s_spark.tga
		tcMod rotate 0.000000
		AlphaGen wave sawtooth 1.000000 -1.000000 0.056612 2.500000
		rgbGen wave sawtooth 1.000000 0.000000 0.056612 2.500000
		tcMod stretch sawtooth 0.250000 0.000000 0.056612 2.500000
		blendfunc add
	}
}

textures/subway/s_spark_10
{
	qer_editorimage textures/subway/s_spark.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	cull none
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nodlight
	nopicmip
	nomipmaps
	deformvertexes autosprite
	deformvertexes move -7.993951 3.466303 -8.251151 sawtooth 0 1 0.876876 2.500000
	{
		clampmap textures/subway/s_spark.tga
		tcMod rotate 0.000000
		AlphaGen wave sawtooth 1.000000 -1.000000 0.876876 2.500000
		rgbGen wave sawtooth 1.000000 0.000000 0.876876 2.500000
		tcMod stretch sawtooth 0.250000 0.000000 0.876876 2.500000
		blendfunc add
	}
}
