// shader for c2nite sky box (256x256 size)

textures/urban2/c2nite_skybox
{

	qer_editorimage textures/urban2/c2nite_view.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_lightsubdivide 256
	q3map_nofast
	q3map_sun .7 .7 1 35 90 70
	//q3map_sun 0 .15 .25 95 -180 90
	q3map_surfacelight 25
	skyparms env/urban2/c2nite - - 
}

textures/urban2/gravel_clip
{
	qer_trans 0.40
	qer_editorimage textures/reaction/qer_glass.tga
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm playerclip
}

textures/urban2/metal_clip
{
	qer_trans 0.40
	qer_editorimage textures/reaction/qer_glass.tga
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm playerclip
}

textures/zurban_test/urban_corona
{
	qer_editorimage textures/zurban_test/urban_corona.tga
	qer_trans 0.5

	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm nomarks
	cull none
	deformVertexes autoSprite
	nopicmip

//	sort nearest
//	sort additive

	{
		clampmap textures/zurban_test/urban_corona.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaFunc GT0
		rgbGen identity
	}
}

textures/zurban_test/glass_clear
{
	qer_trans 0.40
	qer_editorimage textures/reaction/qer_glass.tga
	cull none
	surfaceparm trans
	surfaceparm nonsolid 
	surfaceparm nolightmap
	{
		map textures/effects/tinfx2.tga
            tcgen environment
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
   //   {
	//	map $lightmap
	//	rgbGen identity
	//	blendFunc filter
   //	}

}


///////////////////
//Alpha windows: //
///////////////////

textures/urban2/urban2_grey_win
{
	qer_editorimage textures/urban2/urban2_grey_win.tga

	{
		map textures/effects/tinfx.tga
		tcgen environment
		rgbGen identity
	}
	{
		map textures/urban2/urban2_grey_win.tga
 		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity

	}
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
	}
}


textures/urban2/urban2_stw-window-cutout
{
	qer_editorimage textures/urban2/urban2_stw-window-cutout.tga

	{
		map textures/effects/tinfx.tga
		tcgen environment
		rgbGen identity
	}
	{
		map textures/urban2/urban2_stw-window-cutout.tga
 		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity

	}
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
	}
}

textures/urban2/urban2_apt
{
	qer_editorimage textures/urban2/urban2_apt.tga

	{
		map textures/effects/tinfx.tga
		tcgen environment
		rgbGen identity
	}
	{
		map textures/urban2/urban2_apt.tga
 		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity

	}
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
	}
}

textures/urban2/urban2_door
{
	qer_editorimage textures/urban2/urban2_door.tga

	{
		map textures/effects/tinfx.tga
		tcgen environment
		rgbGen identity
	}
	{
		map textures/urban2/urban2_door.tga
 		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity

	}
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
	}
}

textures/urban2/urban2_g_apt
{
	qer_editorimage textures/urban2/urban2_g_apt.tga

	{
		map textures/effects/tinfx.tga
		tcgen environment
		rgbGen identity
	}
	{
		map textures/urban2/urban2_g_apt.tga
 		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity

	}
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
	}
}

textures/urban2/urban2_old_apt
{
	qer_editorimage textures/urban2/urban2_old_apt.tga

	{
		map textures/effects/tinfx.tga
		tcgen environment
		rgbGen identity
	}
	{
		map textures/urban2/urban2_old_apt.tga
 		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity

	}
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
	}
}

textures/urban2/panes-1
{
	qer_editorimage textures/urban2/panes-1.tga

	{
		map textures/effects/tinfx.tga
		tcgen environment
		rgbGen identity
	}
	{
		map textures/urban2/panes-1.tga
 		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity

	}
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
	}
}

textures/urban2/shed-2
{
	qer_editorimage textures/urban2/shed-2.tga

	{
		map textures/effects/tinfx.tga
		tcgen environment
		rgbGen identity
	}
	{
		map textures/urban2/shed-2.tga
 		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity

	}
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
	}
}

textures/urban2/rusty-dual-garage
{
	qer_editorimage textures/urban2/rusty-dual-garage.tga

	{
		map textures/effects/tinfx.tga
		tcgen environment
		rgbGen identity
	}
	{
		map textures/urban2/rusty-dual-garage.tga
 		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity

	}
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
	}
}
